/************************************************************************
*
*                          MLXERROR.H
*
*    Header for Multi-LAB/2 und MODULAR-4/486 error codes
*
*                    version      : see history
*                    creation     : 17.02.97
*                    last change  : see history
*                    author       : MIH
*
*     (c) by SORCUS Computer GmbH Heidelberg 1995..1997
*************************************************************************/
/************************************************************************
*  history:
*    17.02.97 (MIH):
*        - creation
*************************************************************************/

#ifndef _MLXERROR_H_
#define _MLXERROR_H_

/***********************************************************************
*       error definitions (class and code)
************************************************************************/

/***************  class 0 ***************/
#define ERROR_NO_ERROR                 0x0000
#define ERROR_TBF_TIMEOUT              0x0001
#define ERROR_RBE_TIMEOUT              0x0002
#define ERROR_PLAUSIBILITY             0x0003
#define ERROR_DLP_TIMEOUT              0x0004
#define ERROR_RBF_TIMEOUT              0x0005
#define ERROR_DLM_NOT_LOW              0x0006
#define ERROR_DLM_NOT_HIGH             0x0007
#define ERROR_DLP_NOT_LOW              0x0008
#define ERROR_DLP_NOT_HIGH             0x0009
#define ERROR_RESET_TBF_NOT_LOW        0x000B
#define ERROR_RESET_TBF_NOT_HIGH       0x000E
#define ERROR_RECEIVE_DLP_HIGH         0x000F
#define ERROR_SEND_DLP_HIGH            0x0010
#define ERROR_NOT_REACTING             0x0012
#define ERROR_INTERRUPT_WITHOUT_RBF    0x0013
#define ERROR_INTERRUPT_WITH_TBF       0x0014
#define ERROR_SEND_FIRST_WORD          0x0015
#define ERROR_SERIAL_COMMUNICATION		0x0016

/***************  class 1 ***************/
#define ERROR_MINI_OS_NOT_ACTIVE       0x0101
#define ERROR_ROM_OS_NOT_ACTIVE        0x0102
#define ERROR_OSX_NOT_FOUND            0x0103
#define ERROR_OSX_NOT_READ             0x0104
#define ERROR_OSX_NOT_OPENED           0x0105
#define ERROR_OSX_NOT_ACTIVATED        0x0106
#define ERROR_PROGFILE_NOT_FOUND       0x0111
#define ERROR_MEMORY_ALLOC             0x0112
#define ERROR_NOT_ENOUGH_MEM           0x0113
#define ERROR_READING_FILE             0x0114
#define ERROR_OPEN_CLOSE_FILE          0x0115
#define ERROR_WRONG_LINKER             0x0116
#define ERROR_BOARD_NOT_INITIALIZED    0x0117
#define ERROR_NO_DEBUG_TABLE           0x0118
#define ERROR_MODULE_NOT_ON_SLOT       0x0120
#define ERROR_MODULE_INIT_NOT_POSSIBLE 0x0121
#define ERROR_MODULE_NOT_INITIALIZED   0x0122
#define ERROR_INIT_NOT_AVAILABLE       0x0123
#define ERROR_BOOT_SET_ADR_FAILED      0x0140
#define ERROR_BOOT_BYTE_TYPE           0x0141
#define ERROR_BOOT_CHECK_FAILED        0x0142
#define ERROR_BOOT_CHECK_UNKNOWN       0x0143
#define ERROR_BOOT_WRITE_RAM_START     0x0144
#define ERROR_BOOT_RESET_IP            0x0145

/***************  class 2 ***************/
#define ERROR_WRONG_CARD_NUMBER        0x0201
#define ERROR_WRONG_BASE_ADDRESS       0x0202
#define ERROR_WRONG_MODE               0x0203
#define ERROR_WRONG_INT_CHANNEL        0x0204
#define ERROR_WRONG_DMA_CHANNEL        0x0205
#define ERROR_BIB_NOT_INITIALIZED      0x0206
#define ERROR_INSTALL_FLAGS            0x0207
#define ERROR_WRONG_CARDTYPE				0x0208
#define ERROR_WRONG_PARA_TIMEDATE      0x0210
#define ERROR_WRONG_RETURN_NUMBER      0x0211
#define ERROR_EEPROM_PARAMETER         0x0219
#define ERROR_NO_BIB_STARTUP           0x0220
#define ERROR_ML2_ON_ML8               0x0221
#define ERROR_ML8_ON_ML2               0x0222
#define ERROR_NOT_IMPLEMENTED          0x0223
#define ERROR_NOT_FOR_ML2a             0x0224
#define ERROR_NOT_FOR_ML2d             0x0225
#define ERROR_WRONG_PARAMETER_1        0x0226
#define ERROR_WRONG_PARAMETER_2        0x0227
#define ERROR_WRONG_PARAMETER_3        0x0228
#define ERROR_NOT_SUPPORTED_BY_CARD		0x0229
#define ERROR_CMD_SIZE_TOO_LARGE       0x0230
#define ERROR_RET_SIZE_TOO_LARGE       0x0231
#define ERROR_FUNC_PARA_TOO_LARGE      0x0232
#define ERROR_FUNC_RETPARA_TOO_LARGE   0x0233
#define ERROR_MAKRO_NOT_KNOWN          0x0236
#define ERROR_FUNC_OUTSIZE             0x0240
#define ERROR_FUNC_INSIZE              0x0241
#define ERROR_FUNC_NUMBER              0x0242
#define ERROR_FUNC_NO_DDT              0x0243
#define ERROR_FUNC_UNKNOWN_ERROR       0x0244
#define ERROR_YEAR_2080_PROBLEM        0x0280   

/***************  class 4 ***************/
#define ERROR_TBF_TIMEOUT_4            0x0401
#define ERROR_RBE_TIMEOUT_4            0x0402
#define ERROR_PLAUSIBILITY_4           0x0403
#define ERROR_SRQ_WITHOUT_RBF          0x040E
#define ERROR_SRQ_WITHOUT_DLP          0x040F
#define ERROR_SR_RECURSIVE             0x0410
#define ERROR_SR_MESSAGE_OVERFLOW      0x0411
#define ERROR_SR_TIMEOUT_DLP_RESET     0x0412

/***************  class 6 ***************/
#define ERROR_INVALID_CARDNUMBER       0x0601
#define ERROR_ADDRESS_CONFLICT         0x0602
#define ERROR_TBF_TIMEOUT_6            0x0603
#define ERROR_RBE_TIMEOUT_6            0x0604
#define ERROR_DEVICE_NOT_OPENED        0x0605
#define ERROR_LIB_NOT_INITIALIZED      0x0606
#define ERROR_INVALID_CHANNEL_NUMBER   0x0607
#define ERROR_ML2A_AIN_SE              0x0608
#define ERROR_INVALID_AIN              0x0609
#define ERROR_INVALID_AOUT             0x060A
#define ERROR_INVALID_DIN              0x060B
#define ERROR_INVALID_DOUT             0x060C
#define ERROR_INVALID_AIN_DIFF         0x060D
#define ERROR_ML2_GET_DATA             0x060E
#define ERROR_ML2_SET_DATA             0x060F
#define ERROR_INVALID_RANGE            0x0612
#define ERROR_ML2D_INVALID_RANGE_DIFF  0x0613
#define ERROR_ML2A_INVALID_RANGE_DIFF  0x0614
#define ERROR_ML2D_INVALID_RANGE_SE    0x0615
#define ERROR_ML2A_INVALID_RANGE       0x0616
#define ERROR_ML2D_INVALID_RANGE       0x0617
#define ERROR_UNKNOWN_VERSION          0x0618
#define ERROR_INVALID_MASKFLAG         0x0619
#define ERROR_ML2_GET_DEVICE_STATE     0x061A
#define ERROR_AUTOWAIT_TIMEOUT         0x061B
#define ERROR_TIMER_B_OVERFLOW         0x061C
#define ERROR_HARDWARE_RESERVED        0x061D
#define ERROR_RESULT_NOT_AVAILABLE     0x061E
#define ERROR_HARDWARE_NOT_RESERVED    0x061F
#define ERROR_INVALID_ML2DEB_HANDLE    0x0620

/***************  class 7 ***************/
#define ERROR_WIN32_SYSTEM             0x0701
#define ERROR_DEVICE_DRIVER            0x0702

/***************  class 8 ***************/
#define ERROR_DRIVER_NOT_OPENED        0x0801
#define ERROR_DRIVER_RETURNSIZE_WRONG  0x0802
#define ERROR_SRQ_THREAD_NOT_CREATED   0x0803
#define ERROR_SRQ_EVENT_NOT_CREATED    0x0804
#define ERROR_HOLD_REQUEST_FAILED      0x0805
#define ERROR_SRQ_THREAD_PRIORITY      0x0806
#define ERROR_SERV_THREAD_NOT_CREATED  0x0807
#define ERROR_SRQ_SYNC_NOT_CREATED     0x0808
#define ERROR_SRQ_SYNC_WAIT            0x0809
#define ERROR_SRQ_SYNC_RESET           0x080A
#define ERROR_PROCESSMEM_NOT_ALLOCATED 0x080B
#define ERROR_PROCESSMEM_NOT_FREED     0x080C
#define ERROR_PROCESS_NOT_CONNECTED    0x080D
#define ERROR_SRQ_THREAD_NOT_STOPPED   0x080E
#define ERROR_WRONG_PARAMETER_RW       0x0810
#define ERROR_WRONG_PARAMETER_READ     0x0811
#define ERROR_WRONG_PARAMETER_WRITE    0x0812
#define ERROR_CANNOT_WRITE_PARAMETER   0x0813
#define ERROR_WRONG_PARAMETER_TYPE     0x0814
#define ERROR_PROCESS_ID_NOT_VALID     0x0815
#define ERROR_LOGBUFFER_NOT_READABLE   0x0816
#define ERROR_CARD_NOT_AVAILABLE       0x0817
#define ERROR_SRQ_UNEXPECTED           0x0818
#define ERROR_EXCLUSIVE_LOCK_DENIED    0x0819
#define ERROR_MLX_ACCESS_DENIED			0x081A
#define ERROR_CLEARIFC_FAILED				0x081B
#define ERROR_ACCESS_VIOLATION			0x081C
#define ERROR_SRP_CANCELLED				0x081D
#define ERROR_DRIVER_GENERAL           0x08FF

#endif
