{********************************************************************
*  This is the source file to build the libraries for following
*  platforms:
*
*  Board:               ML2 - Multi-LAB/2
*                       ML6 - Multi-COM
*                       ML8 - MODULAR-4/486
*
*  Operating Systems:   Windows 95 
*                          (file has to be named 'fmlXtype.pas',
*                          where X = 2, 6, 7 or 8)
*                       Windows NT
*                          (file has to be named 'nmlXtype.pas',
*                          where X = 2, 6, 7 or 8)
*                       Windows32 (NT & 95)
*                          (file has to be named 'mlxtype.pas')
*
*  Author:              HD, JD
*
*  Last Change:         18/08/98
*
*  Copyrights           SORCUS Computer GmbH 1997, 1998
*                       All rights reserved
*
********************************************************************}



{********************************************************************
*
*  Defines for Preprocessor:
*
*  Platform specification:
*  _WIN_95_    To build the library for Windows 95
*              (additional card specification necessary)
*  _WIN_NT_    To build the library for Windows NT
*              (additional card specification necessary)
*  _MLXW32_    To build the MLXW32 library for Windows 95
*              and Windows NT and for all cards
*
*  Card specification:
*  _ML2_       To build the library for the ML2 card
*  _ML6_       To build the library for the ML6 card
*  _ML7_       To build the library for the ML7 card
*  _ML8_       To build the library for the ML8 card
*
********************************************************************}



{$ifdef _WIN_95_}

{$ifdef _ML2_}
UNIT FML2TYPE;
{$endif}

{$ifdef _ML6_}
UNIT FML6TYPE;
{$endif}

{$ifdef _ML7_}
UNIT FML7TYPE;
{$endif}

{$ifdef _ML8_}
UNIT FML8TYPE;
{$endif}

{$endif}



{$ifdef _WIN_NT_}

{$ifdef _ML2_}
UNIT NML2TYPE;
{$endif}

{$ifdef _ML6_}
UNIT NML6TYPE;
{$endif}

{$ifdef _ML7_}
UNIT NML7TYPE;
{$endif}

{$ifdef _ML8_}
UNIT NML8TYPE;
{$endif}

{$endif}



{$ifdef _MLXW32_}

UNIT MLXTYPE;

{$endif}



INTERFACE



CONST 

      NUMBEROFCARDS           = 8;

TYPE

      ml8_error_info_type =  RECORD
            ok                : BOOLEAN;
            repeatmacro       : BOOLEAN;
            errorcode         : BYTE;
            errorclass        : BYTE;
            statusport        : BYTE;
            statusmap         : BYTE;
            errorrequest      : WORD;
            sndcount          : WORD;
            rcvcount          : WORD;
            mark	            : WORD;
            markmessage       : STRING[80];
            outwords          : ARRAY [0..5] of WORD;
            inwords	         : ARRAY [0..5] of WORD;
            datawords         : ARRAY [0..5] of WORD;
            errormsgsize      : BYTE;
            errormessage      : STRING[79];
            maxerrorretry     : WORD;
            errorretry        : WORD;
            END;

      ml6_error_info_type     = ml8_error_info_type;
      ml7_error_info_type     = ml8_error_info_type;
      ml2_error_info_type     = ml8_error_info_type;

      str80                   = STRING[80];

      { MICRO TIME CODE }

      MICRO_TIME_CODE = PACKED RECORD
         ucRes                : BYTE;
         ucHours              : BYTE;
         ucMinutes            : BYTE;
         ucSec                : BYTE;
         usMilliSec           : WORD;
         usMicroSec           : WORD;
         END;

      { MODULE-DEVICE-DRIVER HANDLES }
      
      HMDD8                   = LONGINT;
      HMDD7                   = LONGINT;
      HMDD6                   = LONGINT;
      HMDD2                   = LONGINT;



IMPLEMENTATION



BEGIN

END.