{********************************************************************
*  This is the implementation source file to build the libraries
*  for following platforms:
*
*  Board:               ML6 - Multi-COM
*
*  Operating Systems:   Windows 95
*                       Windows NT
*
*  Author:              HD, JD
*
*  Last Change:         18/08/98
*
*  Copyrights           SORCUS Computer GmbH 1997, 1998
*                       All rights reserved
*
********************************************************************}
{ History 18/08/98 ml6_get_mlxdrv_version and ml6_get_osx_version were
                   referenced with the wrong name in the DLL        }


{ ***** STARTING/ENDING OF AN APPLICATION ***** }

PROCEDURE   ml6_bib_startup
            (language: WORD);
            EXTERNAL DLL_REF NAME 'ml8_bib_startup';

FUNCTION    ml6_init_bib
            (card, adr, mode, IRQ_channel, DMA_channel: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_init_bib';

FUNCTION    ml6_init_test: WORD;
            EXTERNAL DLL_REF NAME 'ml8_init_test';

PROCEDURE   ml6_init_io
            (microchannel: BYTE; optional: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_init_io';

FUNCTION    Cml6_reset
            (card, adr, mode, IRQ_channel, DMA_channel: WORD;
            error_handler: POINTER; OSName: PChar;
            timeout: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml6_reset';

FUNCTION    ml6_reset
            (card, adr, mode, IRQ_channel, DMA_channel: WORD;
            error_handler: POINTER; VAR OSName: str80;
            timeout: WORD): WORD;
VAR   OsX   :  ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(OsX, OSName, 80);
   ml6_reset := Cml6_reset
      (card, adr, mode, IRQ_channel, DMA_channel,
      error_handler, OsX, timeout);
END;

FUNCTION    ml6_start
            (card, adr, mode, IRQ_channel, DMA_channel: WORD;
            error_handler: POINTER; timeout: WORD): WORD;
            EXTERNAL DLL_REF;

PROCEDURE   ml6_exit;
            EXTERNAL DLL_REF NAME 'ml8_exit';

PROCEDURE   ml6_exit_card
            (card: WORD);
            EXTERNAL DLL_REF NAME 'ml8_exit';

{ ***** VERSION MANAGEMENT ***** }

PROCEDURE   Cml6_get_bib_version
            (version: PChar);
            EXTERNAL DLL_REF NAME 'ml8_get_bib_version';

PROCEDURE   ml6_get_bib_version
            (VAR version: str80);
VAR ver: ARRAY [0..80] OF CHAR;
BEGIN
   Cml6_get_bib_version(ver);
   ml_pstr(version, ver, 80);
END;

PROCEDURE   Cml6_get_os_version
            (version: PChar);
            EXTERNAL DLL_REF NAME 'ml8_get_os_version';

PROCEDURE   ml6_get_os_version
            (VAR version: str80);
VAR ver: ARRAY [0..80] OF CHAR;
BEGIN
   Cml6_get_os_version(ver);
   ml_pstr(version, ver, 80);
END;

PROCEDURE   ml6_get_lib_version
            (VAR pulVersion: LONGINT; VAR pulDate: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_get_lib_version';

PROCEDURE   ml6_get_mlxdrv_version
            (VAR pulVersion: LONGINT; VAR pulDate: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_get_mlxdrv_version';

PROCEDURE   ml6_get_osx_version
            (VAR pulVersion: LONGINT; VAR pulDate: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_get_osx_version';

{ ***** CARD SELECTION ***** }

PROCEDURE   ml6_select_card
            (card: WORD);
            EXTERNAL DLL_REF NAME 'ml8_select_card';

FUNCTION    ml6_get_selected_card: WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_selected_card';

{ ***** TIMEOUT CONTROL ***** }

PROCEDURE   ml6_auto_timeout;
            EXTERNAL DLL_REF NAME 'ml8_auto_timeout';

FUNCTION    ml6_propose_timeout
            (tenthsec: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_propose_timeout';
{
PROCEDURE   ml6_set_timeout
            (timeout: WORD);
            EXTERNAL DLL_REF NAME 'ml8_set_timeout';
}
PROCEDURE   ml6_change_timeout
            (timeout: WORD);
            EXTERNAL DLL_REF NAME 'ml8_change_timeout';

FUNCTION    ml6_get_timeout: WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_timeout';

{ ***** INSTALLING REAL TIME PROGRAMS ***** }

FUNCTION    Cml6_transfer_and_install
            (pgmname: PChar; usage, task, programnr,
            interruptnr: WORD; flag, datasize: LONGINT): WORD;
            EXTERNAL DLL_REF NAME 'ml8_transfer_and_install';

FUNCTION    ml6_transfer_and_install
            (pgmname: str80; usage, task, programnr,
            interruptnr: WORD; flag, datasize: LONGINT): WORD;
VAR   pgm   :  ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(pgm, pgmname, 80);
   ml6_transfer_and_install := Cml6_transfer_and_install
      (pgm, usage, task, programnr, interruptnr, flag, datasize);
END;

PROCEDURE   ml6_install_task
            (task, programnr, interruptnr: WORD;
            flag, datasize, adr: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_install_task';

PROCEDURE   ml6_start_pgm;
            EXTERNAL DLL_REF NAME 'ml8_start_pgm';

FUNCTION    Cml6_transfer_pgm
            (task, usage: WORD; pgmname: PChar;
            VAR loadadr: LONGINT; VAR prepadr: LONGINT;
            VAR flag: LONGINT): WORD;
            EXTERNAL DLL_REF NAME 'ml8_transfer_pgm';

FUNCTION    ml6_transfer_pgm
            (task, usage: WORD; pgmname: str80;
            VAR loadadr: LONGINT; VAR prepadr: LONGINT;
            VAR flag: LONGINT): WORD;
VAR   pgm   :  ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(pgm, pgmname, 80);
   ml6_transfer_pgm := Cml6_transfer_pgm
      (task, usage, pgm, loadadr, prepadr, flag);
END;

FUNCTION    Cml6_enable_remote_debug
            (task: WORD; pgmname: PChar; loadadr, prepadr: LONGINT): WORD;
            EXTERNAL DLL_REF NAME 'ml8_enable_remote_debug';

FUNCTION    ml6_enable_remote_debug
            (task: WORD; pgmname: str80; loadadr, prepadr: LONGINT): WORD;
VAR   pgm   :  ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(pgm, pgmname, 80);
   ml6_enable_remote_debug := Cml6_enable_remote_debug(task, pgm, loadadr, prepadr);
END;

FUNCTION    ml6_send_macro (CB, format: BYTE; n, m: WORD; VAR b; VAR a): WORD;
            EXTERNAL DLL_REF NAME 'ml8_send_macro';

FUNCTION    Cml6_load_op
            (osname: PChar): WORD;
            EXTERNAL DLL_REF NAME 'ml8_load_op';

FUNCTION    ml6_load_op
            (VAR osname: str80): WORD;
VAR   op    :  ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(op, osname, 80);
   ml6_load_op := Cml6_load_op(op);
END;

{ ***** INTERRUPT HANDLING / SERVICE REQUESTS ***** }

PROCEDURE   ml6_set_service
            (ml6_servProc: POINTER);
            EXTERNAL DLL_REF NAME 'ml8_set_service';

PROCEDURE   ml6_suspend_requests;
            EXTERNAL DLL_REF NAME 'ml8_suspend_requests';

PROCEDURE   ml6_allow_requests;
            EXTERNAL DLL_REF NAME 'ml8_allow_requests';

PROCEDURE   ml6_set_macro_interruptible
            (on_off: BOOLEAN);
            EXTERNAL DLL_REF NAME 'ml8_set_macro_interruptible';

FUNCTION    ml6_message_available: BOOLEAN;
            EXTERNAL DLL_REF NAME 'ml8_message_available';

FUNCTION    ml6_poll_request: BOOLEAN;
            EXTERNAL DLL_REF NAME 'ml8_poll_request';

FUNCTION    ml6_get_message: WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_message';

{ ***** ERROR HANDLING ***** }

PROCEDURE   ml6_set_error_handling
            (error_handling_proc: POINTER);
            EXTERNAL DLL_REF NAME 'ml8_set_error_handling';

PROCEDURE   Cml6_get_error_info
            (VAR err_rec: ml6_error_info_type);
            EXTERNAL DLL_REF NAME 'ml8_get_error_info';

PROCEDURE   ml6_get_error_info(VAR err_rec: ml6_error_info_type);
VAR   markmsg  :  str80;
      errmsg   :  str80;
      hlp      :  PChar;
BEGIN
   Cml6_get_error_info(err_rec);
   hlp := @err_rec.errormessage[0];
   ml_pstr(errmsg, hlp, 80);
   hlp := @err_rec.markmessage[0];
   ml_pstr(markmsg, hlp, 80);
   err_rec.markmessage  := markmsg;
   err_rec.errormessage := errmsg;
END;

PROCEDURE   ml6_get_error_class_and_code
            (VAR error_class: BYTE; VAR error_code: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_get_error_class_and_code';

FUNCTION    ml6_watch_error
            (usInfoType: WORD): LONGINT;
            EXTERNAL DLL_REF NAME 'ml8_watch_error';

PROCEDURE   ml6_call_user_error;
            EXTERNAL DLL_REF NAME 'ml8_call_user_error';

PROCEDURE   Cml6_make_err_msg
            (s: PChar; errclass, errcode: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_make_err_msg';

PROCEDURE   ml6_make_err_msg
            (VAR s:str80; errclass, errcode: BYTE);
VAR   strg  :  ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(strg, s, 80);
   Cml6_make_err_msg(strg, errclass, errcode);
END;

PROCEDURE   ml6_clear_error;
            EXTERNAL DLL_REF NAME 'ml8_clear_error';

PROCEDURE   ml6_set_max_error_retry
            (max: WORD);
            EXTERNAL DLL_REF NAME 'ml8_set_max_error_retry';

FUNCTION    ml6_error_repeat_test: BOOLEAN;
            EXTERNAL DLL_REF NAME 'ml8_error_repeat_test';

PROCEDURE   ml6_set_repeat_macro
            (rpm: BOOLEAN);
            EXTERNAL DLL_REF NAME 'ml8_set_repeat_macro';

FUNCTION    ml6_clear: WORD;
            EXTERNAL DLL_REF NAME 'ml8_clear';

PROCEDURE   Cml6_set_error_info
            (VAR err_rec: ml6_error_info_type);
            EXTERNAL DLL_REF NAME 'ml8_set_error_info';

PROCEDURE   ml6_set_error_info
            (VAR err_rec: ml6_error_info_type);
VAR   markmsg  :  str80;
      errmsg   :  str80;
      hlp      :  PChar;
BEGIN
   errmsg  := err_rec.errormessage;
   markmsg := err_rec.markmessage;
   hlp := @err_rec.errormessage[0];
   ml_cstr(hlp, errmsg, 80);
   hlp := @err_rec.markmessage[0];
   ml_cstr(hlp, markmsg, 80);
   Cml6_set_error_info(err_rec);
END;

PROCEDURE   ml6_set_mark
            (mark: WORD);
            EXTERNAL DLL_REF NAME 'ml8_set_mark';

FUNCTION    ml6_get_mark: WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_mark';

PROCEDURE   Cml6_set_error_message
            (errormessage: PChar);
            EXTERNAL DLL_REF NAME 'ml8_set_error_message';

PROCEDURE   ml6_set_error_message
            (VAR errormessage: str80);
            VAR msg: ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(msg, errormessage, 80);
   Cml6_set_error_message(msg);
END;

PROCEDURE   Cml6_get_error_message
            (errormessage: PChar);
            EXTERNAL DLL_REF NAME 'ml8_get_error_message';

PROCEDURE   ml6_get_error_message
            (VAR errormessage: str80);
            VAR msg: ARRAY [0..80] OF CHAR;
BEGIN
   Cml6_get_error_message(msg);
   ml_pstr(errormessage, msg, 80);
END;

PROCEDURE   Cml6_set_mark_message
            (markmessage: PChar);
            EXTERNAL DLL_REF NAME 'ml8_set_mark_message';

PROCEDURE   ml6_set_mark_message
            (VAR markmessage: str80);
            VAR msg: ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(msg, markmessage, 80);
   Cml6_set_mark_message(msg);
END;

PROCEDURE   Cml6_get_mark_message
            (markmessage: PChar);
            EXTERNAL DLL_REF NAME 'ml8_get_mark_message';

PROCEDURE   ml6_get_mark_message
            (VAR markmessage: str80);
VAR msg: ARRAY [0..80] OF CHAR;
BEGIN
   Cml6_get_mark_message(msg);
   ml_pstr(markmessage, msg, 80);
END;



{ ***** COMMUNICATION CHECK ***** }

FUNCTION    ml6_reacting: BOOLEAN;
            EXTERNAL DLL_REF NAME 'ml8_reacting';

FUNCTION    ml6_type_check: BYTE;
            EXTERNAL DLL_REF NAME 'ml8_type_check';

FUNCTION    ml6_prog_in_rom
            (pgm: WORD): BOOLEAN;
            EXTERNAL DLL_REF NAME 'ml8_prog_in_rom';
{
PROCEDURE   ml6_reset_dlp;
            EXTERNAL DLL_REF NAME 'ml8_reset_dlp';

PROCEDURE   ml6_set_dlp;
            EXTERNAL DLL_REF NAME 'ml8_set_dlp';
}

{ ***** READ/WRITE RAM ***** }

PROCEDURE   ml6_set_ram_pointer
            (adr: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_set_ram_pointer';

PROCEDURE   ml6_read_ram
            (size: WORD; VAR data_var);
            EXTERNAL DLL_REF NAME 'ml8_read_ram';

PROCEDURE   ml6_write_ram
            (size: WORD; VAR data_var);
            EXTERNAL DLL_REF NAME 'ml8_write_ram';

PROCEDURE   ml6_read_memory
            (start_adr: LONGINT; size: WORD;
            VAR data_ptr);
            EXTERNAL DLL_REF NAME 'ml8_read_memory';

PROCEDURE   ml6_write_memory
            (start_adr: LONGINT; size: WORD;
            VAR data_ptr);
            EXTERNAL DLL_REF NAME 'ml8_write_memory';

FUNCTION    ml6_get_physical_address
            (ulSegOff: LONGINT): LONGINT;
            EXTERNAL DLL_REF NAME 'ml8_get_physical_address';

{ ***** PORT I/O ***** }

FUNCTION    ml6_in8_port
            (port: WORD): BYTE;
            EXTERNAL DLL_REF NAME 'ml8_in8_port';

FUNCTION    ml6_in16_port
            (port: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_in16_port';

PROCEDURE   ml6_out8_port
            (port: WORD; data_var: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_out8_port';

PROCEDURE   ml6_out16_port
            (port: WORD; data_var: WORD);
            EXTERNAL DLL_REF NAME 'ml8_out16_port';

{ ***** READ/WRITE EEPROM ***** }

FUNCTION    ml6_read_eeprom_direct
            (modul, reladr: BYTE): WORD;
            EXTERNAL DLL_REF NAME 'ml8_read_eeprom_direct';

FUNCTION    ml6_read_eeprom_copy
            (modul, reladr: BYTE): WORD;
            EXTERNAL DLL_REF NAME 'ml8_read_eeprom_copy';

PROCEDURE   ml6_write_eeprom_direct
            (modul, reladr: BYTE; data_var: WORD);
            EXTERNAL DLL_REF NAME 'ml8_write_eeprom_direct';

PROCEDURE   ml6_write_eeprom_copy
            (modul, reladr: BYTE; data_var: WORD);
            EXTERNAL DLL_REF NAME 'ml8_write_eeprom_copy';

{ ***** LED CONTROL ***** }

PROCEDURE   ml6_local_led_on;
            EXTERNAL DLL_REF NAME 'ml8_local_led_on';

PROCEDURE   ml6_external_led_on;
            EXTERNAL DLL_REF NAME 'ml8_external_led_on';

PROCEDURE   ml6_local_led_off;
            EXTERNAL DLL_REF NAME 'ml8_local_led_off';

PROCEDURE   ml6_external_led_off;
            EXTERNAL DLL_REF NAME 'ml8_external_led_off';

FUNCTION    ml6_get_local_led_status: BYTE;
            EXTERNAL DLL_REF NAME 'ml8_get_local_led_status';

{ ***** REAL TIME CLOCK ***** }

PROCEDURE   ml6_set_rtc_mode
            (mode: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_set_rtc_mode';

FUNCTION    ml6_get_rtc_status: BYTE;
            EXTERNAL DLL_REF NAME 'ml8_get_rtc_status';

PROCEDURE   ml6_set_date_and_time
            (year, month, day, dow, hour, min, sec: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_set_date_and_time';

PROCEDURE   ml6_set_date_and_time_2000
            (year, month, day, dow, hour, min, sec: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_set_date_and_time_2000';

PROCEDURE   ml6_get_time
            (VAR hour, min, sec: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_get_time';

PROCEDURE   ml6_get_date_and_time
            (VAR year, month, day, dow, hour, min, sec: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_get_date_and_time';

PROCEDURE   ml6_get_date_and_time_2000
            (VAR year, month, day, dow, hour, min, sec: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_get_date_and_time_2000';

FUNCTION    ml6_get_rtc_date_code: LONGINT;
            EXTERNAL DLL_REF NAME 'ml8_get_rtc_date_code';

FUNCTION    ml6_get_rtc_time_code: LONGINT;
            EXTERNAL DLL_REF NAME 'ml8_get_rtc_time_code';

{ ***** TASK/PROGRAM INFORMATION ***** }

FUNCTION    ml6_get_task_status
            (task: WORD): BYTE;
            EXTERNAL DLL_REF NAME 'ml8_get_task_status';

PROCEDURE   ml6_get_task_info
            (task: WORD; callnr: WORD; VAR result: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_get_task_info';

PROCEDURE   ml6_get_int_task
            (inter: WORD; VAR task: WORD; VAR dummy: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_get_int_task';

FUNCTION    ml6_get_task_number
            (prognumber: WORD; VAR installnr: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_task_number';

FUNCTION    ml6_get_pgm_installed
            (task: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_pgm_installed';

{ ***** CACHE CONTROL ***** }

PROCEDURE   ml6_cache_control
            (mode: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_cache_control';

{ ***** TASK CONTROL ***** }

PROCEDURE   ml6_wakeup_task
            (task: WORD);
            EXTERNAL DLL_REF NAME 'ml8_wakeup_task';

PROCEDURE   ml6_wakeup_ti_task
            (task: WORD; priority: BYTE; count, intervall, holdoff: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_wakeup_ti_task';

PROCEDURE   ml6_sleep_task
            (task: WORD);
            EXTERNAL DLL_REF NAME 'ml8_sleep_task';

{ ***** CALL PROCEDURE/FUNCTION OF A TASK ***** }

PROCEDURE   ml6_call_proc
            (task, procedurenr: WORD);
            EXTERNAL DLL_REF NAME 'ml8_call_proc';

PROCEDURE   ml6_call_func
            (task, func ,outsize: WORD; VAR outdata_var;
            maxinsize: WORD; VAR insize: WORD; VAR indata_var;
            VAR error: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_call_func';

{ ***** READ/WRITE PARAMETER OF A TASK ***** }

FUNCTION    ml6_read_par_byte
            (task, start: WORD):BYTE;
            EXTERNAL DLL_REF NAME 'ml8_read_par_byte';

FUNCTION    ml6_read_par_word
            (task, start: WORD):WORD;
            EXTERNAL DLL_REF NAME 'ml8_read_par_word';

PROCEDURE   ml6_read_par_dword
            (task, start: WORD; VAR datavar: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_read_par_dword';

PROCEDURE   ml6_read_par_block
            (task, start, size: WORD; VAR data_var);
            EXTERNAL DLL_REF NAME 'ml8_read_par_block';

PROCEDURE   ml6_write_par_byte
            (task, start: WORD; data:BYTE);
            EXTERNAL DLL_REF NAME 'ml8_write_par_byte';

PROCEDURE   ml6_write_par_word
            (task, start, data: WORD);
            EXTERNAL DLL_REF NAME 'ml8_write_par_word';

PROCEDURE   ml6_write_par_dword
            (task, start: WORD; datavar: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_write_par_dword';

PROCEDURE   ml6_write_par_block
            (task, start, size: WORD; VAR data_var);
            EXTERNAL DLL_REF NAME 'ml8_write_par_block';

{ ***** READ/WRITE DATA AREA OF A TASK ***** }

PROCEDURE   ml6_reset_r_pointer
            (task: WORD);
            EXTERNAL DLL_REF NAME 'ml8_reset_r_pointer';

PROCEDURE   ml6_move_r_pointer
            (task: WORD; offset: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_move_r_pointer';

FUNCTION    ml6_read_data_byte
            (task: WORD): BYTE;
            EXTERNAL DLL_REF NAME 'ml8_read_data_byte';

FUNCTION    ml6_read_data_word
            (task: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_read_data_word';

PROCEDURE   ml6_read_data_dword
            (task: WORD; VAR datavar: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_read_data_dword';

PROCEDURE   ml6_read_data_block
            (task, size: WORD; VAR data_var);
            EXTERNAL DLL_REF NAME 'ml8_read_data_block';

PROCEDURE   ml6_read_data
            (task: WORD; rel_ofs: LONGINT; size: WORD; VAR data);
            EXTERNAL DLL_REF NAME 'ml8_read_data';

PROCEDURE   ml6_reset_w_pointer
            (task: WORD);
            EXTERNAL DLL_REF NAME 'ml8_reset_w_pointer';

PROCEDURE   ml6_move_w_pointer
            (task: WORD; offset: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_move_w_pointer';

PROCEDURE   ml6_write_data_byte
            (task: WORD; data: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_write_data_byte';

PROCEDURE   ml6_write_data_word
            (task, data: WORD);
            EXTERNAL DLL_REF NAME 'ml8_write_data_word';

PROCEDURE   ml6_write_data_dword
            (task: WORD; datavar: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_write_data_dword';

PROCEDURE   ml6_write_data_block
            (task, size: WORD; VAR data_var);
            EXTERNAL DLL_REF NAME 'ml8_write_data_block';

PROCEDURE   ml6_write_data
            (task: WORD; rel_ofs: LONGINT; size: WORD; VAR data);
            EXTERNAL DLL_REF NAME 'ml8_write_data';

{ ***** BUFFER ***** }

FUNCTION    ml6_create_buffer
            (task: WORD; strategy: BYTE; align: BYTE; usage: WORD;
            VAR size: LONGINT; VAR handle:LONGINT): BYTE;
            EXTERNAL DLL_REF NAME 'ml8_create_buffer';

PROCEDURE   ml6_delete_buffer
            (buffer: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_delete_buffer';

PROCEDURE   ml6_clear_buffer
            (buffer: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_clear_buffer';

PROCEDURE   ml6_get_buffer_status
            (buffer: LONGINT; VAR freesize: LONGINT;
            VAR usedsize: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_get_buffer_status';

PROCEDURE   ml6_get_prev_buffer_status
            (VAR freesize: WORD; VAR usedsize: WORD);
            EXTERNAL DLL_REF NAME 'ml8_get_prev_buffer_status';

FUNCTION    ml6_set_buffer
            (buffer: LONGINT; strategy: BYTE; VAR size: WORD;
            VAR datavar): WORD;
            EXTERNAL DLL_REF NAME 'ml8_set_buffer';

FUNCTION    ml6_get_buffer
            (buffer: LONGINT; strategy:BYTE; VAR size:WORD;
            VAR datavar): WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_buffer';

FUNCTION    ml6_write_buffer_byte
            (buffer: LONGINT; data:BYTE): WORD;
            EXTERNAL DLL_REF NAME 'ml8_write_buffer_byte';

FUNCTION    ml6_write_buffer_word
            (buffer: LONGINT; data:WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_write_buffer_word';

FUNCTION    ml6_write_buffer_dword
            (buffer: LONGINT; data:LONGINT): WORD;
            EXTERNAL DLL_REF NAME 'ml8_write_buffer_dword';

FUNCTION    ml6_read_buffer_byte
            (buffer: LONGINT; VAR data:BYTE): WORD;
            EXTERNAL DLL_REF NAME 'ml8_read_buffer_byte';

FUNCTION    ml6_read_buffer_word
            (buffer: LONGINT; VAR data: WORD): WORD;
            EXTERNAL DLL_REF NAME 'ml8_read_buffer_word';

FUNCTION    ml6_read_buffer_dword
            (buffer: LONGINT; VAR data:LONGINT): WORD;
            EXTERNAL DLL_REF NAME 'ml8_read_buffer_dword';

{ ***** MEMORY ALLOCATION ***** }

PROCEDURE   ml6_allocate_ram
            (task, usage: WORD; strategy, align: BYTE;
            VAR size: LONGINT; VAR adr: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_allocate_ram';

PROCEDURE   ml6_get_free_ram_size
            (align: BYTE; VAR size: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_get_free_ram_size';

{ ***** FLASH PROGRAMMING ***** }

PROCEDURE   ml6_set_flash_mode
            (ucDevNo, ucICNo, ucMode, ucOption: BYTE);
            EXTERNAL DLL_REF NAME 'ml8_set_flash_mode';

FUNCTION    ml6_get_flash_info
            (ucDevNo, ucICNo, ucMode, ucOption: BYTE): WORD;
            EXTERNAL DLL_REF NAME 'ml8_get_flash_info';

FUNCTION    ml6_erase_flash_sector
            (ucDevNo, ucICNo: BYTE; ulFirstAdr,
            ulLastAdr: LONGINT): WORD;
            EXTERNAL DLL_REF NAME 'ml8_erase_flash_sector';

PROCEDURE   ml6_program_flash
            (ucDevNo, ucICNo: BYTE; ulStartAdr: LONGINT;
            usSize: WORD; VAR pData);
            EXTERNAL DLL_REF NAME 'ml8_program_flash';

PROCEDURE   ml6_read_flash
            (ucDevNo, ucICNo: BYTE; ulStartAdr: LONGINT;
            usSize: WORD; VAR pData);
            EXTERNAL DLL_REF NAME 'ml8_read_flash';



{ ***** VERSION, DATE AND TIME CODES ***** }

PROCEDURE   Cml6_create_version_string
            (pacVerStr: PChar; ulVerCode: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_create_version_string';

PROCEDURE   ml6_create_version_string
            (VAR pacVerStr: str80; ulVerCode: LONGINT);
VAR   ver   :  ARRAY [0..20] OF CHAR;
BEGIN
   Cml6_create_version_string(ver, ulVerCode);
   ml_pstr(pacVerStr, ver, 20);
END;

PROCEDURE   Cml6_create_date_string
            (pacDateStr: PChar; ulDateCode: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_create_date_string';

PROCEDURE   ml6_create_date_string
            (VAR pacDateStr: str80; ulDateCode: LONGINT);
VAR   date  :  ARRAY [0..20] OF CHAR;
BEGIN
   Cml6_create_date_string(date, ulDateCode);
   ml_pstr(pacDateStr, date, 20);
END;

PROCEDURE   Cml6_create_time_string
            (pacTimeStr: PChar; ulTimeCode: LONGINT);
            EXTERNAL DLL_REF NAME 'ml8_create_time_string';

PROCEDURE   ml6_create_time_string
            (VAR pacTimeStr: str80; ulTimeCode: LONGINT);
VAR   time  :  ARRAY [0..20] OF CHAR;
BEGIN
   Cml6_create_time_string(time, ulTimeCode);
   ml_pstr(pacTimeStr, time, 20);
END;

PROCEDURE   Cml6_create_micro_time_string
            (pacTimeStr: PChar; VAR prcTimeCode: MICRO_TIME_CODE);
            EXTERNAL DLL_REF NAME 'ml8_create_micro_time_string';

PROCEDURE   ml6_create_micro_time_string
            (VAR pacTimeStr: str80; VAR prcTimeCode: MICRO_TIME_CODE);
VAR   time  :  ARRAY [0..20] OF CHAR;
BEGIN
   Cml6_create_micro_time_string(time, prcTimeCode);
   ml_pstr(pacTimeStr, time, 20);
END;


{ ***** SPECIAL FUNCTIONS ***** }

FUNCTION    ml6_get_exe_size (VAR Name: String; VAR Size: LongInt):
            Word;
            EXTERNAL DLL_REF NAME 'ml8_get_exe_size';



{ ***** MDD FUNCTIONS ***** }


PROCEDURE   mdd6_get_version
            (usMDD: WORD; VAR pulVersion: LONGINT;
            VAR pulDate: LONGINT);
            EXTERNAL DLL_REF NAME 'mdd8_get_version';

FUNCTION    mdd6_open_channel
            (usMDD, usStrucSize: WORD; VAR pCPS): HMDD6;
            EXTERNAL DLL_REF NAME 'mdd8_open_channel';

FUNCTION    mdd6_open_channel_callback
            (usMDD, usStrucSize: WORD; VAR pCPS; param: LONGINT;
             pfnCbFunc : POINTER; mode: WORD): HMDD6;
            EXTERNAL DLL_REF NAME 'mdd8_open_channel_callback';

PROCEDURE   Cmdd6_read_infotext
            (usMDD, usTxtNr: WORD; ucMaxLen: BYTE;
            pacInfotext: PChar);
            EXTERNAL DLL_REF NAME 'mdd8_read_infotext';

PROCEDURE   mdd6_read_infotext
            (usMDD, usTxtNr: WORD; ucMaxLen: BYTE;
            VAR pacInfotext: str80);
VAR   acTextFromMDD  :  ARRAY [0..80] OF CHAR;
BEGIN
   Cmdd6_read_infotext(usMDD, usTxtNr, ucMaxLen, acTextFromMDD);
   ml_pstr(pacInfotext, acTextFromMDD, 80);
END;

FUNCTION    mdd6_get_device_status
            (usMDD, usDevice, usIndex, usExtIndex: WORD): WORD;
            EXTERNAL DLL_REF NAME 'mdd8_get_device_status';

FUNCTION    mdd6_scan_channel
            (usMDD, usInfoType: WORD; hChannel: HMDD6;
            usCount: WORD; VAR pInfoData): WORD;
            EXTERNAL DLL_REF NAME 'mdd8_scan_channel';

PROCEDURE   mdd6_reset_driver
            (usMDD: WORD);
            EXTERNAL DLL_REF NAME 'mdd8_reset_driver';

PROCEDURE   mdd6_write_channel_byte
            (hChannel: HMDD6; ucData: BYTE);
            EXTERNAL DLL_REF NAME 'mdd8_write_channel_byte';

PROCEDURE   mdd6_write_channel_word
            (hChannel: HMDD6; usData: WORD);
            EXTERNAL DLL_REF NAME 'mdd8_write_channel_word';

PROCEDURE   mdd6_write_channel_dword
            (hChannel: HMDD6; ulData: LONGINT);
            EXTERNAL DLL_REF NAME 'mdd8_write_channel_dword';

PROCEDURE   mdd6_write_channel_short
            (hChannel: HMDD6; sData: INTEGER);
            EXTERNAL DLL_REF NAME 'mdd8_write_channel_short';

FUNCTION    mdd6_write_channel_block
            (hChannel: HMDD6; usCount: WORD; VAR pData): WORD;
            EXTERNAL DLL_REF NAME 'mdd8_write_channel_block';

PROCEDURE   mdd6_trigger_channel
            (hChannel: HMDD6);
            EXTERNAL DLL_REF NAME 'mdd8_trigger_channel';

FUNCTION    mdd6_read_channel_byte
            (hChannel: HMDD6): BYTE;
            EXTERNAL DLL_REF NAME 'mdd8_read_channel_byte';

FUNCTION    mdd6_read_channel_word
            (hChannel: HMDD6): WORD;
            EXTERNAL DLL_REF NAME 'mdd8_read_channel_word';

FUNCTION    mdd6_read_channel_dword
            (hChannel: HMDD6): DWORD;
            EXTERNAL DLL_REF NAME 'mdd8_read_channel_dword';

FUNCTION    mdd6_read_channel_short
            (hChannel: HMDD6): INTEGER;
            EXTERNAL DLL_REF NAME 'mdd8_read_channel_short';

FUNCTION    mdd6_read_channel_block
            (hChannel: HMDD6; usCount: WORD; VAR pData): WORD;
            EXTERNAL DLL_REF NAME 'mdd8_read_channel_block';

PROCEDURE   mdd6_send_channel_command
            (hChannel: HMDD6; usCmd: WORD);
            EXTERNAL DLL_REF NAME 'mdd8_send_channel_command';

PROCEDURE   mdd6_send_channel_control
            (hChannel: HMDD6; usCtrl: WORD; ulCtrlData: LONGINT);
            EXTERNAL DLL_REF NAME 'mdd8_send_channel_control';

FUNCTION    mdd6_send_channel_control_block
            (hChannel: HMDD6; usCtrl, usSize: WORD; VAR pCtrlData):
            WORD;
            EXTERNAL DLL_REF NAME 'mdd8_send_channel_control_block';

FUNCTION    mdd6_get_channel_info
            (hChannel: HMDD6; usInfo: WORD): LONGINT;
            EXTERNAL DLL_REF NAME 'mdd8_get_channel_info';

FUNCTION    mdd6_get_channel_info_block
            (hChannel: HMDD6; usInfo, usSize: WORD; VAR pInfoData):
            WORD;
            EXTERNAL DLL_REF NAME 'mdd8_get_channel_info_block';

PROCEDURE   Cmdd6_set_channel_caption
            (hChannel: HMDD6; usLen: WORD; pcCaption: PChar);
            EXTERNAL DLL_REF NAME 'mdd8_set_channel_caption';

PROCEDURE   mdd6_set_channel_caption
            (hChannel: HMDD6; usLen: WORD; pcCaption: STRING);
VAR   acCaptionToChannel   :  ARRAY [0..80] OF CHAR;
BEGIN
   ml_cstr(acCaptionToChannel, pcCaption, 80);
   Cmdd6_set_channel_caption
      (hChannel, usLen + 1, acCaptionToChannel);
END;

PROCEDURE   Cmdd6_get_channel_caption
            (hChannel: HMDD6; usLen: WORD; pcCaption: PChar);
            EXTERNAL DLL_REF NAME 'mdd8_set_channel_caption';

PROCEDURE   mdd6_get_channel_caption
            (hChannel: HMDD6; usLen: WORD; VAR pcCaption: STRING);
VAR   acCaptionFromChannel :  ARRAY [0..80] OF CHAR;
BEGIN
   Cmdd6_get_channel_caption
      (hChannel, usLen + 1, acCaptionFromChannel);
   ml_pstr(pcCaption, acCaptionFromChannel, 80);
END;

PROCEDURE   mdd6_close_channel (VAR phChannel: HMDD6);
            EXTERNAL DLL_REF NAME 'mdd8_close_channel';

FUNCTION    mdd6_check_handle_valid (hChannel: HMDD6): WORD;
            EXTERNAL DLL_REF NAME 'mdd8_check_handle_valid';

FUNCTION    mdd6_get_diagnosis : WORD;
            EXTERNAL DLL_REF NAME 'mdd8_get_diagnosis';

FUNCTION    Cml6_set_search_path (pPath: PChar) : LONGINT;
            EXTERNAL DLL_REF NAME 'ml8_set_search_path';

FUNCTION    ml6_set_search_path (pPath: STRING) : LONGINT;
VAR   acPath   :  ARRAY [0..255] OF CHAR;
BEGIN
   ml_cstr(acPath, pPath, 255);
   ml6_set_search_path := Cml6_set_search_path (acPath);
END;

