Attribute VB_Name = "MDDX_DEFINITIONS"
'*************************************************
'   MDDCPS.BAS
'
'   Import library to write Visual Basic programs
'   with the SORCUS boards Multi-LAB/2, Multi-COM
'   or MODULAR-4/486.
'
'   This module defines the constants and structure
'   types for the MODULAR-, Multi-LAB or Multi-COM
'   Device Drivers (MDD)
'
'   Operating Systems:  Windows 3.x
'                       Windows 95
'                       Windows NT
'
'   Author:             Dipl.-Ing. H.Doersam
'
'   (C) SORCUS Computer GmbH 1998
'*************************************************


'   IMPORTANT:
'
'   All constants described in your user manual
'   like _NAMEOFCONSTANT (signifies the possibility
'   to combine the constant with other constants)
'   are renamed in Visual Basic because a constant
'   can not begin with the underline character.
'   For constants like _XXX use instead fXXX.



'   Version of this file (DATE CODE of Build day)
Public Const BUILD_MDDCPS = &H62050804

'   Commands for mdd8_send_channel_command
Public Const CMD_CLOSE = &HA0
Public Const CMD_SUSP_WRITE = &HA1
Public Const CMD_CONT_WRITE = &HA2
Public Const CMD_SUSP_READ = &HA3
Public Const CMD_CONT_READ = &HA4
Public Const CMD_RESET = &HA5
Public Const CMD_START = &HA6
Public Const CMD_STOP = &HA7
Public Const CMD_CONTINUE = &HA8
Public Const CMD_LATCH_OUT = &HA9
Public Const CMD_LATCH_IN = &HAA

'   Commands for mdd8_send_channel_control
Public Const CTRL_DEVICE = &H60
Public Const CTRL_RW_PTR = &H61
Public Const CTRL_R_PTR = &H62
Public Const CTRL_W_PTR = &H63

'   Commands for mdd8_send_channel_control_block
Public Const CTRL_CAPTION = &H90

'   Info types for mdd8_get_channel_info
Public Const INFO_STATUS = &H40
Public Const INFO_DATA_TYPE = &H42
Public Const INFO_TRANSFER_MODE = &H43
Public Const INFO_MINSIZE = &H44
Public Const INFO_MAXSIZE = &H45
Public Const INFO_RANGE = &H46
Public Const INFO_RESOLUTION = &H47
Public Const INFO_DEVICE = &H48
Public Const INFO_RW_PTR = &H50
Public Const INFO_R_PTR = &H51
Public Const INFO_W_PTR = &H52

'   Info types for mdd8_get_channel_info_block
Public Const INFO_CAPTION = &H80

'   Infotext numbers (Low-Byte = Page, High-Byte = Line)
Public Const ITNO_DEVICE_NAME = &H0
Public Const ITNO_DEVICE_REVISION = &H100
Public Const ITNO_FIRM_NAME = &H1
Public Const ITNO_AUTHOR_NAME = &H101

'   Data type identifiers
Public Const DATA_VOID = &H1
Public Const DATA_BIT = &H2
Public Const DATA_BYTE = &H3
Public Const DATA_CHAR = &H4
Public Const DATA_WORD = &H5
Public Const DATA_SHORT = &H6
Public Const DATA_DWORD = &H7
Public Const DATA_LONG = &H8
Public Const DATA_BLOCK = &H9
Public Const DATA_STREAM = &HA

'   Data transfer modes (from command INFO_TRANSFER_MODE)
Public Const R_MODE = &H1
Public Const W_MODE = &H2
Public Const RW_MODE = &H3
Public Const CALLBACK_MODE = &H4

'   Physical I/O ranges (from command INFO_RANGE)
Public Const RNG_VOID = &H1
Public Const RNG_UPP_312MV5 = &H21
Public Const RNG_UPP_625MV = &H22
Public Const RNG_UPP_1V25 = &H23
Public Const RNG_UPP_2V5 = &H24
Public Const RNG_UPP_5V = &H25
Public Const RNG_UPP_10V = &H26
Public Const RNG_UPN_312MV5 = &H41
Public Const RNG_UPN_625MV = &H42
Public Const RNG_UPN_1V25 = &H43
Public Const RNG_UPN_2V5 = &H44
Public Const RNG_UPN_5V = &H45
Public Const RNG_UPN_10V = &H46
Public Const RNG_BIP_312MV5 = &H61
Public Const RNG_BIP_625MV = &H62
Public Const RNG_BIP_1V25 = &H63
Public Const RNG_BIP_2V5 = &H64
Public Const RNG_BIP_5V = &H65
Public Const RNG_BIP_10V = &H66
Public Const RNG_20MA = &H81

'   Flags for channel status (from command INFO_STATUS)
Public Const fCSR_EXCLUSIVE = &H1
Public Const fCSR_HW_FORMAT = &H2
Public Const fCSR_UNCORRECTED = &H4
Public Const fCSR_OUT_SUSP = &H10000
Public Const fCSR_IN_SUSP = &H20000

'   Device types
Public Const DEVICE_DIN = &H101
Public Const DEVICE_DOUT = &H102
Public Const DEVICE_DIO = &H103
Public Const DEVICE_AIN_SE = &H201
Public Const DEVICE_AIN_DIFF = &H202
Public Const DEVICE_AOUT = &H203
Public Const DEVICE_TRIG = &H301
Public Const DEVICE_CTRL = &H401
Public Const DEVICE_LED = &H402
Public Const DEVICE_TIMER = &H501
Public Const DEVICE_WATCHDOG = &H503
Public Const DEVICE_COUNTER = &H601
Public Const DEVICE_CLOCK = &H701
Public Const DEVICE_CALENDAR = &H702
Public Const DEVICE_SCC = &H801
Public Const DEVICE_SQRWAVE = &H901
Public Const DEVICE_EEPROM = &HA01
Public Const DEVICE_HW_INT = &HB01
Public Const DEVICE_SSI = &HC01
Public Const DEVICE_BUS_IN = &HD01
Public Const DEVICE_BUS_OUT = &HD02
Public Const DEVICE_ALARM = &HF01

'   Physical I/O ranges
Public Const RANGE_VOID = &H1
Public Const RANGE_UPP_312MV5 = &H21
Public Const RANGE_UPP_625MV = &H22
Public Const RANGE_UPP_1V25 = &H23
Public Const RANGE_UPP_2V5 = &H24
Public Const RANGE_UPP_5V = &H25
Public Const RANGE_UPP_10V = &H26
Public Const RANGE_UPN_312MV5 = &H41
Public Const RANGE_UPN_625MV = &H42
Public Const RANGE_UPN_1V25 = &H43
Public Const RANGE_UPN_2V5 = &H44
Public Const RANGE_UPN_5V = &H45
Public Const RANGE_UPN_10V = &H46
Public Const RANGE_BIP_312MV5 = &H61
Public Const RANGE_BIP_625MV = &H62
Public Const RANGE_BIP_1V25 = &H63
Public Const RANGE_BIP_2V5 = &H64
Public Const RANGE_BIP_5V = &H65
Public Const RANGE_BIP_10V = &H66
Public Const RANGE_20MA = &H81

'   Flags in CPS
Public Const fCP_NO_FLAGS = &H0
Public Const fCP_EXCLUSIVE = &H1
Public Const fCP_HW_FORMAT = &H2
Public Const fCP_UNCORRECTED = &H4

'   Read/Write modes in CPS
Public Const IO_MODE_DIRECT = &H1
Public Const IO_MODE_LATCH = &H2
Public Const IO_MODE_RAM = &H4
Public Const IO_MODE_RAM_LATCH = &H6

'   Commands for mdd8_scan_channel
Public Const SCAN_SERVICE_LIST = &H1
Public Const SCAN_CDT = &H2
Public Const SCAN_HANDLE = &H3
Public Const SCAN_CPS = &H4
Public Const SCAN_PARAMETER = &H5

'   Error codes
Public Const ERR_MDD_WRONG_OSX = &H1
Public Const ERR_MDD_HANDLE_INVALID = &H40
Public Const ERR_MDD_WRONG_DATA_TYPE = &H41
Public Const ERR_MDD_DRV_SERVICE = &H42
Public Const ERR_MDD_CHANNEL_SERVICE = &H43
Public Const ERR_MDD_SERVICE_NOT_AVAILABLE = &H44
Public Const ERR_MDD_DRV_NOT_INSTALLED = &H45
Public Const ERR_MDD_UNKNOWN_ERROR = &H46

'   Diagnosis words
Public Const DIAG_NO_ERROR = &H0
Public Const DIAG_CALL_WITHOUT_EFFECT = &H1
Public Const DIAG_WRONG_PARAMETER = &H100
Public Const DIAG_WRONG_PARAMETER_MAX = &H1FF
Public Const DIAG_WRONG_NUMBER_OF_INPUTS = &H201
Public Const DIAG_ABOVE_NUMBER_OF_INPUTS = &H202
Public Const DIAG_BELOW_NUMBER_OF_INPUTS = &H203
Public Const DIAG_WRONG_NUMBER_OF_RETURNS = &H211
Public Const DIAG_ABOVE_NUMBER_OF_RETURNS = &H212
Public Const DIAG_BELOW_NUMBER_OF_RETURNS = &H213
Public Const DIAG_FUNCTION_LOCKED = &H221
Public Const DIAG_RANGE_CROSS_OVER = &H321
Public Const DIAG_RANGE_CROSS_UNDER = &H322
Public Const DIAG_DATA_IMPOSSIBLE = &H323
Public Const DIAG_END_OF_DATA = &H324
Public Const DIAG_MISSING_NULL_TERMINATION = &H331
Public Const DIAG_NOT_ENOUGH_MEMORY = &H401
Public Const DIAG_BUFFER_EMPTY = &H411
Public Const DIAG_BUFFER_FULL = &H412
Public Const DIAG_HARDWARE_CONFLICT = &H501
Public Const DIAG_TIMEOUT = &H502
Public Const DIAG_DATA_LOST = &H503
Public Const DIAG_DEVICE_NOT_AVAILABLE = &H511
Public Const DIAG_DEVICE_ALREADY_IN_USE = &H512
Public Const DIAG_CHANNEL_NOT_FOUND = &H531
Public Const DIAG_INFOTEXT_NOT_AVAILABLE = &H541
Public Const DIAG_NO_CAPTION_BUFFER = &H551
Public Const DIAG_CPS_NOT_SUPPORTED = &H561
Public Const DIAG_RTC_WRITE_ACCESS = &H601
Public Const DIAG_RTC_READ_ACCESS = &H602
Public Const DIAG_EEPROM_WRITE_ACCESS = &H603
Public Const DIAG_EEPROM_READ_ACCESS = &H604
Public Const DIAG_INVALID = &HFFFF

'   Device status
Public Const DSC_SHARED_MAX = &HFFF0
Public Const DSC_IS_NOT_AVAILABLE = &HFFF1
Public Const DSC_IS_LOCKED = &HFFF2
Public Const DSC_IS_EXCLUSIVE = &HFFFF

'   Constants for the Channel-Descriptor-Table (CDT)
Public Const CDT_HEADER_SIZE = 60
Public Const CDT_ID_CHANNEL_VALID = &H55

'   Null handle
Public Const MDD_NULL_HANDLE = 0

'   M-D40-2
Public Const fMD402_OUTPUT_ENABLE_0_7 = &H1
Public Const fMD402_OUTPUT_ENABLE_8_15 = &H2
Public Const fMD402_OUTPUT_ENABLE_16_23 = &H4
Public Const fMD402_OUTPUT_ENABLE_24_31 = &H8
Public Const fMD402_OUTPUT_ENABLE_32_39 = &H10
Public Const fMD402_OUTPUT_DISABLE_0_7 = &H0
Public Const fMD402_OUTPUT_DISABLE_8_15 = &H0
Public Const fMD402_OUTPUT_DISABLE_16_23 = &H0
Public Const fMD402_OUTPUT_DISABLE_24_31 = &H0
Public Const fMD402_OUTPUT_DISABLE_32_39 = &H0

Public Const fMD402_POS_TRIGGER = &H1
Public Const fMD402_NEG_TRIGGER = &H0
Public Const fMD402_EXT_TRIGGER = &H2
Public Const fMD402_SOFT_TRIGGER = &H0

Public Const fMD402_ENABLE_INT_0 = &H1
Public Const fMD402_ENABLE_INT_1 = &H2
Public Const fMD402_ENABLE_INT_2 = &H4
Public Const fMD402_ENABLE_INT_3 = &H8
Public Const fMD402_DISABLE_INT_0 = &H0
Public Const fMD402_DISABLE_INT_1 = &H0
Public Const fMD402_DISABLE_INT_2 = &H0
Public Const fMD402_DISABLE_INT_3 = &H0

Public Const MD402_OUTPUT_CTRL = 0
Public Const MD402_INT_CTRL = 1
Public Const MD402_TRIG_CTRL = 2
Public Const MD402_SAMPLE_TRIGGER = 0

'   M-OPT-1/A
Public Const fMOPT1A_CON_DIN_0_IRQ_E = &H1
Public Const fMOPT1A_CON_DIN_1_IRQ_B = &H2

'   M-OPT-1/B
Public Const fMOPT1B_ENABLE_DOUT_0_15 = &H1
Public Const fMOPT1B_WATCHDOG_ENABLE = &H2
Public Const fMOPT1B_CON_WATCHDOG_IRQ_B = &H1

'   M-RU8-2
Public Const MRU82_MODE_0 = &H0
Public Const MRU82_MODE_1 = &H1
Public Const MRU82_MODE_2 = &H2
Public Const MRU82_MODE_3 = &H3

'   M-SH12-8
Public Const MSH128_SW_EXT_DIG_TRIG = &H0
Public Const MSH128_SW_TIMER_A = &H1
Public Const MSH128_TIMER_A_POS_EXT_DIG_TRIG = &H2
Public Const MSH128_TIMER_A_POS_TIMER_A = &H3
Public Const MSH128_TIMER_A_NEG_EXT_DIG_TRIG = &H4
Public Const MSH128_TIMER_A_NEG_TIMER_A = &H5
Public Const MSH128_EXT_DIG_POS_EXT_DIG_TRIG = &H6
Public Const MSH128_EXT_DIG_NEG_EXT_DIG_TRIG = &H7
Public Const MSH128_SW_EXT_AN_TRIG = &H8
Public Const MSH128_TIMER_A_POS_EXT_AN_TRIG = &HA
Public Const MSH128_TIMER_A_NEG_EXT_AN_TRIG = &HC
Public Const MSH128_EXT_AN_TRIG_A_EXT_AN_TRIG = &HE
Public Const MSH128_EXT_AN_TRIG_B_EXT_AN_TRIG = &HF

Public Const MSH128_NONE = &H0
Public Const MSH128_IRQ_B = &H5
Public Const MSH128_IRQ_C = &H6
Public Const MSH128_IRQ_D = &H7

'   M-DC15-2
Public Const fMDC152_LED_0_ON = &H1
Public Const fMDC152_LED_1_ON = &H2
Public Const fMDC152_LED_2_ON = &H4
Public Const fMDC152_LED_3_ON = &H8
Public Const fMDC152_LED_4_ON = &H10
Public Const fMDC152_LED_5_ON = &H20
Public Const fMDC152_LED_6_ON = &H40
Public Const fMDC152_LED_7_ON = &H80

Public Const fMDC152_CON_IP_0_IRQ_B = &H1
Public Const fMDC152_CON_IP_1_IRQ_E = &H2
Public Const fMDC152_CON_IP_2_IRQ_C = &H4
Public Const fMDC152_CON_IP_3_IRQ_D = &H8

'   M-C16-3
Public Const fMC163_NO_IRQ = &H0
Public Const fMC163_IRQ_A = &H1
Public Const fMC163_IRQ_B = &H2
Public Const fMC163_IRQ_C = &H3
Public Const fMC163_IRQ_D = &H4
Public Const fMC163_IRQ_E = &H5
Public Const fMC163_IRQ_F = &H6
Public Const fMC163_NMI = &H7
Public Const fMC163_IRQ_POS_EDGE = &H0
Public Const fMC163_IRQ_NEG_EDGE = &H10

Public Const fMC163_DEMASK_INT_0 = &H1
Public Const fMC163_DEMASK_INT_1 = &H2
Public Const fMC163_DEMASK_INT_2 = &H4
Public Const fMC163_DEMASK_INT_3 = &H8
Public Const fMC163_DEMASK_INT_4 = &H10
Public Const fMC163_DEMASK_INT_5 = &H20
Public Const fMC163_DEMASK_INT_6 = &H40
Public Const fMC163_DEMASK_INT_7 = &H80
Public Const fMC163_DEMASK_INT_8 = &H100
Public Const fMC163_DEMASK_INT_9 = &H200
Public Const fMC163_DEMASK_INT_10 = &H400
Public Const fMC163_DEMASK_INT_11 = &H800
Public Const fMC163_DEMASK_INT_12 = &H1000
Public Const fMC163_DEMASK_INT_13 = &H2000
Public Const fMC163_DEMASK_INT_14 = &H4000
Public Const fMC163_DEMASK_INT_15 = &H8000

Public Const fMC163_INT_0_NEG_EDGE = &H10000
Public Const fMC163_INT_1_NEG_EDGE = &H20000
Public Const fMC163_INT_2_NEG_EDGE = &H40000
Public Const fMC163_INT_3_NEG_EDGE = &H80000
Public Const fMC163_INT_4_NEG_EDGE = &H100000
Public Const fMC163_INT_5_NEG_EDGE = &H200000
Public Const fMC163_INT_6_NEG_EDGE = &H400000
Public Const fMC163_INT_7_NEG_EDGE = &H800000
Public Const fMC163_INT_8_NEG_EDGE = &H1000000
Public Const fMC163_INT_9_NEG_EDGE = &H2000000
Public Const fMC163_INT_10_NEG_EDGE = &H4000000
Public Const fMC163_INT_11_NEG_EDGE = &H8000000

Public Const fMC163_LATCH_POS_EDGE = &H0
Public Const fMC163_LATCH_NEG_EDGE = &H20
Public Const fMC163_LATCH_DISABLE = &H0
Public Const fMC163_LATCH_ENABLE = &H40

Public Const fMC163_DIN_0_LATCH = &H0
Public Const fMC163_DIN_1_LATCH = &H1
Public Const fMC163_DIN_2_LATCH = &H2
Public Const fMC163_DIN_3_LATCH = &H3
Public Const fMC163_DIN_4_LATCH = &H4
Public Const fMC163_DIN_5_LATCH = &H5
Public Const fMC163_DIN_6_LATCH = &H6
Public Const fMC163_DIN_7_LATCH = &H7
Public Const fMC163_DIN_8_LATCH = &H8
Public Const fMC163_DIN_9_LATCH = &H9
Public Const fMC163_DIN_10_LATCH = &HA
Public Const fMC163_DIN_11_LATCH = &HB

Public Const fMC163_INACTIVE = &H0
Public Const fMC163_COUNTER_UP = &H1
Public Const fMC163_COUNTER_DN = &H2
Public Const fMC163_COUNTER_UP_DN_A = &H3
Public Const fMC163_COUNTER_UP_DN_B = &H4
Public Const fMC163_TIMER = &H5
Public Const fMC163_INCREMENT_A = &H6
Public Const fMC163_INCREMENT_B = &H7
Public Const fMC163_FREQUENCY = &H9
Public Const fMC163_PULSEWIDTH = &HA
Public Const fMC163_PERIOD = &HB
Public Const fMC163_VELOCITY = &HC
Public Const fMC163_MULTIPLE_PERIOD = &H1000

Public Const fMC163_AUTOSTART = &H20
Public Const fMC163_CONTINUE = &H40
Public Const fMC163_EXTERN = &H80
Public Const fMC163_SINGLE_A = &H0
Public Const fMC163_SINGLE_B = &H40
Public Const fMC163_DOUBLE_A = &H80
Public Const fMC163_DOUBLE_B = &HC0
Public Const fMC163_QUADRUPLE = &H100
Public Const fMC163_AUTOFREEZE = &H100
Public Const fMC163_AUTORESET = &H200
Public Const fMC163_AUTOLOAD = &H400
Public Const fMC163_OVERRIDE = &H800
Public Const fMC163_CASCADE_0_1 = &H2000
Public Const fMC163_CASCADE_1_2 = &H4000
Public Const fMC163_CASCADE_0_1_2 = &H8000

Public Const fMC163_DIN_0_1_CNT_0 = &H0
Public Const fMC163_DIN_2_3_CNT_0 = &H1000
Public Const fMC163_DIN_4_5_CNT_0 = &H2000
Public Const fMC163_DIN_6_7_CNT_0 = &H3000
Public Const fMC163_DIN_8_9_CNT_0 = &H4000
Public Const fMC163_DIN_10_11_CNT_0 = &H5000
Public Const fMC163_DIN_6_CNT_1 = &H6000
Public Const fMC163_CNT_0_CNT_1 = &H7000
Public Const fMC163_DIN_4_CNT_2 = &H8000
Public Const fMC163_CNT_0_CNT_2 = &H9000

Public Const fMC163_DIN_0_INV = &H1
Public Const fMC163_DIN_1_INV = &H2
Public Const fMC163_DIN_2_INV = &H4
Public Const fMC163_DIN_3_INV = &H8
Public Const fMC163_DIN_4_INV = &H10
Public Const fMC163_DIN_5_INV = &H20
Public Const fMC163_DIN_6_INV = &H40
Public Const fMC163_DIN_7_INV = &H80
Public Const fMC163_DIN_8_INV = &H100
Public Const fMC163_DIN_9_INV = &H200
Public Const fMC163_DIN_10_INV = &H400
Public Const fMC163_DIN_11_INV = &H800

Public Const fMC163_DOUT_0_CNT_0 = &H1
Public Const fMC163_DOUT_1_CNT_1 = &H2
Public Const fMC163_DOUT_2_CNT_2 = &H4
Public Const fMC163_DOUT_0_DIRECT = &H0
Public Const fMC163_DOUT_1_DIRECT = &H0
Public Const fMC163_DOUT_2_DIRECT = &H0

Public Const fMC163_NO_START = &H0
Public Const fMC163_START_DIN_0 = &H10
Public Const fMC163_START_DIN_1 = &H20
Public Const fMC163_START_DIN_2 = &H30

Public Const fMC163_NO_STOP = &H0
Public Const fMC163_STOP_DIN_1 = &H40
Public Const fMC163_STOP_DIN_2 = &H80
Public Const fMC163_STOP_DIN_3 = &HC0
Public Const fMC163_NO_STOP_UFL = &H0
Public Const fMC163_STOP_UFL_CNT_0 = &H100
Public Const fMC163_STOP_UFL_CNT_1 = &H200
Public Const fMC163_STOP_UFL_CNT_2 = &H300

Public Const fMC163_NO_LOAD = &H0
Public Const fMC163_LOAD_DIN_0 = &H400
Public Const fMC163_LOAD_DIN_1 = &H800
Public Const fMC163_LOAD_DIN_2 = &HC00

Public Const fMC163_NO_FREEZE = &H0
Public Const fMC163_FREEZE_DIN_1 = &H1000
Public Const fMC163_FREEZE_DIN_2 = &H2000
Public Const fMC163_FREEZE_DIN_3 = &H3000

Public Const fMC163_NO_RESET = &H0
Public Const fMC163_RESET_DIN_0 = &H4000
Public Const fMC163_RESET_DIN_1 = &H8000
Public Const fMC163_RESET_DIN_2 = &HC000

Public Const fMC163_NO_INT = &H0
Public Const fMC163_INT_CNT_0_UFL = &H1
Public Const fMC163_INT_CNT_0_OVL = &H2
Public Const fMC163_INT_CNT_0_END = &H4
Public Const fMC163_INT_CNT_0_INVALID = &H8
Public Const fMC163_INT_CNT_1_UFL = &H10
Public Const fMC163_INT_CNT_1_OVL = &H20
Public Const fMC163_INT_CNT_1_END = &H40
Public Const fMC163_INT_CNT_2_UFL = &H80
Public Const fMC163_INT_CNT_2_OVL = &H100
Public Const fMC163_INT_CNT_2_END = &H200

Public Const fMC163_NO_FREQ = &H0
Public Const fMC163_10_MHZ = &H2
Public Const fMC163_5_MHZ = &H3
Public Const fMC163_2_MHZ = &H4
Public Const fMC163_1_MHZ = &H5
Public Const fMC163_500_KHZ = &H6
Public Const fMC163_200_KHZ = &H7
Public Const fMC163_100_KHZ = &H8
Public Const fMC163_50_KHZ = &H9
Public Const fMC163_20_KHZ = &HA
Public Const fMC163_10_KHZ = &HB
Public Const fMC163_5_KHZ = &HC
Public Const fMC163_2_KHZ = &HD
Public Const fMC163_1_KHZ = &HE
Public Const fMC163_500_HZ = &HF
Public Const fMC163_200_HZ = &H10
Public Const fMC163_100_HZ = &H11
Public Const fMC163_50_HZ = &H12
Public Const fMC163_20_HZ = &H13
Public Const fMC163_10_HZ = &H14

Public Const fMC163_NO_PERIOD = &H0
Public Const fMC163_NO_TIME = &H0
Public Const fMC163_100_NS = &H2
Public Const fMC163_200_NS = &H3
Public Const fMC163_500_NS = &H4
Public Const fMC163_1_US = &H5
Public Const fMC163_2_US = &H6
Public Const fMC163_5_US = &H7
Public Const fMC163_10_US = &H8
Public Const fMC163_20_US = &H9
Public Const fMC163_50_US = &HA
Public Const fMC163_100_US = &HB
Public Const fMC163_200_US = &HC
Public Const fMC163_500_US = &HD
Public Const fMC163_1_MS = &HE
Public Const fMC163_2_MS = &HF
Public Const fMC163_5_MS = &H10
Public Const fMC163_10_MS = &H11
Public Const fMC163_20_MS = &H12
Public Const fMC163_50_MS = &H13
Public Const fMC163_100_MS = &H14

Public Const fMC163_CMD_START_COUNTER = &H1
Public Const fMC163_CMD_STOP_COUNTER = &H2
Public Const fMC163_CMD_LOAD_COUNTER = &H4
Public Const fMC163_CMD_FREEZE_COUNTER = &H8
Public Const fMC163_CMD_RESET_COUNTER = &H10

Public Const fMC163_COUNTER_0 = &H20
Public Const fMC163_COUNTER_1 = &H40
Public Const fMC163_COUNTER_2 = &H80

Public Const fMC163_NO_LED = &H0
Public Const fMC163_LED_0 = &H1
Public Const fMC163_LED_1 = &H2

'   5Bx64
Public Const FBX64_SAMPLE_TRIGGER = &H0
Public Const FBX64_WD_TRIGGER = &H1
Public Const FBX64_WD_STATUS = &H0

Public Const FBX64_STATUS_OK = &H0
Public Const FBX64_STATUS_WARNING = &H1
Public Const FBX64_STATUS_ERROR = &H101

'   M-AX-32/SSI
Public Const fMAX32SSI_BINARY = &H0
Public Const fMAX32SSI_GRAYCODE = &H80

Public Const fMAX32SSI_CLK312KHZ50 = &H1
Public Const fMAX32SSI_CLK208KHZ33 = &H2
Public Const fMAX32SSI_CLK156KHZ25 = &H3
Public Const fMAX32SSI_CLK125KHZ00 = &H4
Public Const fMAX32SSI_CLK104KHZ17 = &H5
Public Const fMAX32SSI_CLK89KHZ29 = &H6
Public Const fMAX32SSI_CLK78KHZ13 = &H7
Public Const fMAX32SSI_CLK69KHZ44 = &H8
Public Const fMAX32SSI_CLK62KHZ50 = &H9
Public Const fMAX32SSI_CLK56KHZ81 = &HA
Public Const fMAX32SSI_CLK52KHZ08 = &HB
Public Const fMAX32SSI_CLK48KHZ08 = &HC
Public Const fMAX32SSI_CLK44KHZ64 = &HD
Public Const fMAX32SSI_CLK41KHZ67 = &HE
Public Const fMAX32SSI_CLK39KHZ06 = &HF

'   ML8 (Base Board)
Public Const ML8_EXTERNAL_LED = &H0
Public Const ML8_LOCAL_LED = &H1

Public Const ML8_TIMER_A = &H0
Public Const ML8_TIMER_B = &H1
Public Const ML8_TIMER_C = &H2
Public Const ML8_TIMER_D = &H3
Public Const ML8_TIMER_E = &H4
Public Const ML8_TIMER_F = &H5

Public Const ML8_SQRWAVE_A = &H0
Public Const ML8_SQRWAVE_B = &H1
Public Const ML8_SQRWAVE_C = &H2

Public Const ML8_WATCHDOG = &H0
Public Const ML8_WATCHDOG_A = &H1
Public Const ML8_WATCHDOG_B = &H2
Public Const ML8_WATCHDOG_C = &H3

Public Const ML8_SCC_A = &H0
Public Const ML8_SCC_B = &H1

Public Const ML8_INT_NMI = &H0
Public Const ML8_INT_IRQ_A = &H1
Public Const ML8_INT_IRQ_B = &H2
Public Const ML8_INT_IRQ_C = &H3
Public Const ML8_INT_IRQ_D = &H4
Public Const ML8_INT_IRQ_E = &H5
Public Const ML8_INT_IRQ_F = &H6
Public Const ML8_INT_IRQ_G = &H7
Public Const ML8_INT_IRQ_H = &H8
Public Const ML8_INT_TIMER_A = &H9
Public Const ML8_INT_TIMER_B = &HA
Public Const ML8_INT_TIMER_C = &HB
Public Const ML8_INT_TIMER_D = &HC
Public Const ML8_INT_TIMER_E = &HD
Public Const ML8_INT_TIMER_F = &HE
Public Const ML8_INT_SCC_A = &HF
Public Const ML8_INT_SCC_B = &H10

Public Const ML8_UNMASK_INT = &H0
Public Const ML8_MASK_INT = &H1
Public Const ML8_POS_INT_EDGE = &H2
Public Const ML8_NEG_INT_EDGE = &H3
Public Const ML8_CLR_INT = &H4
Public Const ML8_END_INT = &H5

Public Const ML8_SET_RTS = &H0
Public Const ML8_CLR_RTS = &H1
Public Const ML8_SET_DTR = &H2
Public Const ML8_CLR_DTR = &H3

Public Const fML8_COM_110 = &H0
Public Const fML8_COM_150 = &H20
Public Const fML8_COM_300 = &H40
Public Const fML8_COM_600 = &H60
Public Const fML8_COM_1200 = &H80
Public Const fML8_COM_2400 = &HA0
Public Const fML8_COM_4800 = &HC0
Public Const fML8_COM_9600 = &HE0
Public Const fML8_COM_19200 = &H100
Public Const fML8_COM_38400 = &H200

Public Const fML8_COM_CHR7 = &H2
Public Const fML8_COM_CHR8 = &H3

Public Const fML8_COM_STOP1 = &H0
Public Const fML8_COM_STOP2 = &H4

Public Const fML8_COM_NO_PARITY = &H0
Public Const fML8_COM_ODD_PARITY = &H8
Public Const fML8_COM_EVEN_PARITY = &H18

'   ML2 (Multi-LAB/2 board)
Public Const ML2D_LATCH_SOFTWARE = 0
Public Const ML2D_LATCH_IP_0_POS = 2
Public Const ML2D_LATCH_IP_0_NEG = 3

Public Const ML2D_OUTPUT_DISABLE = 0
Public Const ML2D_OUTPUT_ENABLE = 1

Public Const ML2D_START_SOFTWARE = 0
Public Const ML2D_START_IP_0_EDGE_POS = 3
Public Const ML2D_START_IP_0_EDGE_NEG = 2

Public Const fML2D_COUNTER_EVENT = 0
Public Const fML2D_COUNTER_FREQ = 1
Public Const fML2D_COUNTER_PULSE = 2
Public Const fML2D_COUNTER_PERIOD = 3
Public Const fML2D_COUNTER_INCR_1 = 5
Public Const fML2D_COUNTER_INCR_2 = 6
Public Const fML2D_COUNTER_INCR_4 = 7

Public Const fML2D_COUNTER_EDGE_POS = &H0
Public Const fML2D_COUNTER_EDGE_NEG = &H8

Public Const fML2D_COUNTER_START = &H40

Public Const fML2D_COUNTER_INPUT_8 = &H0
Public Const fML2D_COUNTER_INPUT_9 = &H100
Public Const fML2D_COUNTER_INPUT_10 = &H200
Public Const fML2D_COUNTER_INPUT_11 = &H300
Public Const fML2D_COUNTER_INPUT_12 = &H400
Public Const fML2D_COUNTER_INPUT_13 = &H500
Public Const fML2D_COUNTER_INPUT_14 = &H600
Public Const fML2D_COUNTER_INPUT_15 = &H700

Public Const fML2D_COUNTER_32BIT = &H8000

Public Const fML2D_COUNTER_REF_TIMER_A = &H0
Public Const fML2D_COUNTER_REF_IP_2 = &H10

Public Const fML2D_COUNTER_RESET_POS = &H0
Public Const fML2D_COUNTER_RESET_NEG = &H100
Public Const fML2D_COUNTER_LATCH_POS = &H0
Public Const fML2D_COUNTER_LATCH_NEG = &H200




'******************************************************
'   Channel property structures (CPS)
'******************************************************

'   M-D40-2
Type CPS_MD402
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MD402_SIZE = 12

' M-OPT-1/A
Type CPS_MOPT1A
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MOPT1A_SIZE = 12

'   M-OPT-1/B
Type CPS_MOPT1B
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MOPT1B_SIZE = 12

'   M-RU8-2
Type CPS_MRU82
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MRU82_SIZE = 12

'   M-DA16-2
Type CPS_MDA162
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MDA162_SIZE = 12

'   M-DA2-2
Type CPS_MDA22
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MDA22_SIZE = 12

'   M-DA4-2
Type CPS_MDA42
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MDA42_SIZE = 12

'   M-AD16-4
Type CPS_MAD164
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usOverSampling As Integer
End Type
Public Const CPS_MAD164_SIZE = 12

'   M-AD16-3
Type CPS_MAD163
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usRange As Integer
usSettleTime As Integer
End Type
Public Const CPS_MAD163_SIZE = 12

'   M-AD12-16
Type CPS_MAD1216
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usRange As Integer
End Type
Public Const CPS_MAD1216_SIZE = 12

'   M-SH12-8
Type CPS_MSH128
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MSH128_SIZE = 12

'   M-5B-1/U
Type CPS_M5B1U
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
usSettleTime As Integer
usRange As Integer
End Type
Public Const CPS_M5B1U_SIZE = 16

'   5B panels
Type CPS_M5BP
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
usSettleTime As Integer
usRange As Integer
End Type
Public Const CPS_M5BP_SIZE = 16

'   M-DC15-2
Type CPS_MDC152
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_MDC152_SIZE = 12

'   M-C16-3
Type CPS_MC163
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
usMode As Integer
usCounterInput As Integer
usCounterOutput As Integer
usCommandInput As Integer
usInterrupt As Integer
usTime As Integer
usMultiple As Integer
End Type
Public Const CPS_MC163_SIZE = 26

'   5BX64 Panels
Type CPS_5BX64
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usIndexExtern As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
End Type
Public Const CPS_5BX64_SIZE = 14

'   M-AX-32/SSI
Type CPS_MAX32SSI
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usMode As Integer
usDataBits As Integer
End Type
Public Const CPS_MAX32SSI_SIZE = 14

'   Base board (ML8)
Type CPS_ML8
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
ulTimeOut As Long
usMode As Integer
End Type
Public Const CPS_ML8_SIZE = 18

'   Base board (ML6)
Type CPS_ML6
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
ulTimeOut As Long
usMode As Integer
End Type
Public Const CPS_ML6_SIZE = 18

'   Multi-LAB/2
Type CPS_ML2
usDevice As Integer
usIndexFirst As Integer
usIndexLast As Integer
usFlags As Integer
usReadMode As Integer
usWriteMode As Integer
usRange As Integer
usMode As Integer
End Type
Public Const CPS_ML2_SIZE = 16

'   CDT Header (ML2)
Type MDD2_CTD_HEAD
pfnServiceDataOut As Long
pfnServiceDataIn As Long
pfnServiceSpecial As Long
pfnServiceRes1 As Long
ucCdtID As Byte
ucDataTypeID As Byte
ucCdtType As Byte
ucMddTaskNo As Byte
usDataSizeMin As Integer
usDataSizeMax As Integer
ucPhysIORange As Byte
ucResolution As Byte
ucTransferMode As Byte
ucServiceListNo As Byte
ulCSR As Long
ulPreviousCDT As Long
pfnServiceCopy1 As Long
pfnServiceCopy2 As Long
ulRes2 As Long
usCdtSize As Integer
ucParSize As Byte
ucCpsCopySize As Byte
ucCaptionSize As Byte
ucRes3 As Byte
usRelOfsCpsCopy As Integer
usRelOfsCaption As Integer
usRes4 As Integer
End Type

'   CDT Header (ML8)
Type MDD6_CTD_HEAD
pfnServiceDataOut As Long
pfnServiceDataIn As Long
pfnServiceSpecial As Long
pfnServiceRes1 As Long
ucCdtID As Byte
ucDataTypeID As Byte
ucCdtType As Byte
ucMddTaskNo As Byte
usDataSizeMin As Integer
usDataSizeMax As Integer
ucPhysIORange As Byte
ucResolution As Byte
ucTransferMode As Byte
ucServiceListNo As Byte
ulCSR As Long
ulPreviousCDT As Long
pfnServiceCopy1 As Long
pfnServiceCopy2 As Long
ulRes2 As Long
usCdtSize As Integer
ucParSize As Byte
ucCpsCopySize As Byte
ucCaptionSize As Byte
ucRes3 As Byte
usRelOfsCpsCopy As Integer
usRelOfsCaption As Integer
usRes4 As Integer
End Type

'   CDT Header (ML8)
Type MDD8_CTD_HEAD
pfnServiceDataOut As Long
pfnServiceDataIn As Long
pfnServiceSpecial As Long
pfnServiceRes1 As Long
ucCdtID As Byte
ucDataTypeID As Byte
ucCdtType As Byte
ucMddTaskNo As Byte
usDataSizeMin As Integer
usDataSizeMax As Integer
ucPhysIORange As Byte
ucResolution As Byte
ucTransferMode As Byte
ucServiceListNo As Byte
ulCSR As Long
ulPreviousCDT As Long
pfnServiceCopy1 As Long
pfnServiceCopy2 As Long
ulRes2 As Long
usCdtSize As Integer
ucParSize As Byte
ucCpsCopySize As Byte
ucCaptionSize As Byte
ucRes3 As Byte
usRelOfsCpsCopy As Integer
usRelOfsCaption As Integer
usRes4 As Integer
End Type

