Attribute VB_Name = "MDD_IMPORT_LIBRARY"
'*************************************************
'   MLXBIB.BAS
'
'   Import library to write Visual Basic programs
'   with the SORCUS boards Multi-LAB/2, Multi-COM
'   or MODULAR-4/486
'
'   Operating Systems:  Windows 3.x
'                       Windows 95
'                       Windows NT
'
'   Author:             Dipl.-Ing. H.Doersam
'
'   (C) SORCUS Computer GmbH 1997, 1998
'*************************************************
'
'   SELECT PLATFORM:
'
'   Comment the following line if your program
'   should run on a Windows 95 or Windows NT system
'
'   #Const PLATFORM = 16    ' Windows 3.x
'
'   Comment the following line if your program
'   should run on a Windows 3.1x system
'
    #Const PLATFORM = 32    ' Windows 95, Windows NT
'
'   SELECT USED BOARD(S):
'   If your target system is Windows NT you can
'   use several board types.
'
'   Comment the following line if you don't
'   communicate with a Multi-LAB/2 board
'
'   #Const BOARD = 2        ' Multi-LAB/2
'
'   Comment the following line if you don't
'   communicate with a Multi-COM board
'
'   #Const BOARD = 6        ' Multi-COM
'
'   Comment the following line if you don't
'   communicate with a short MODULAR-4/486 board
'
'   #Const BOARD = 7        ' short MODULAR-4/486
'
'   Comment the following line if you don't
'   communicate with a long MODULAR-4/486 board
'
    #Const BOARD = 8        ' long MODULAR-4/486
'
'*************************************************

'*************************************************
'   mddX_get_version
'*************************************************

'*************************************************
'   mddX_get_version
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_get_version Lib "mlxw32.dll" _
Alias "mdd8_get_version" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_get_version Lib "wml2bib.dll" _
Alias "mdd8_get_version" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_get_version Lib "mlxw32.dll" _
Alias "mdd8_get_version" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_get_version Lib "wml6bib.dll" _
Alias "mdd8_get_version" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_get_version Lib "mlxw32.dll" _
Alias "mdd8_get_version" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_get_version Lib "wml7bib.dll" _
Alias "mdd8_get_version" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_get_version Lib "mlxw32.dll" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_get_version Lib "wml8bib.dll" _
(ByVal usMDD As Integer, ByRef VersionCode As Long, _
ByRef DateCode As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_open_channel
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_open_channel _
Lib "mlxw32.dll" Alias "mdd8_open_channel" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_open_channel _
Lib "wml2bib.dll" Alias "mdd8_open_channel" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_open_channel _
Lib "mlxw32.dll" Alias "mdd8_open_channel" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_open_channel _
Lib "wml6bib.dll" Alias "mdd8_open_channel" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_open_channel _
Lib "mlxw32.dll" Alias "mdd8_open_channel" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_open_channel _
Lib "wml7bib.dll" Alias "mdd8_open_channel" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_open_channel _
Lib "mlxw32.dll" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_open_channel _
Lib "wml8bib.dll" _
(ByVal usMDD As Integer, ByVal usStrucSize As Integer, _
ByRef pCPS As Any) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_read_infotext
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_read_infotext _
Lib "mlxw32.dll" Alias "mdd8_read_infotext" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_read_infotext _
Lib "wml2bib.dll" Alias "mdd8_read_infotext" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_read_infotext _
Lib "mlxw32.dll" Alias "mdd8_read_infotext" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_read_infotext _
Lib "wml6bib.dll" Alias "mdd8_read_infotext" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_read_infotext _
Lib "mlxw32.dll" Alias "mdd8_read_infotext" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_read_infotext _
Lib "wml7bib.dll" Alias "mdd8_read_infotext" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_read_infotext _
Lib "mlxw32.dll" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_read_infotext _
Lib "wml8bib.dll" _
(ByVal usMDD As Integer, ByVal usTxtNr As Integer, _
ByVal ucMaxLen As Byte, ByVal pacInfotext As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_get_device_status
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_get_device_status _
Lib "mlxw32.dll" Alias "mdd8_get_device_status" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_get_device_status _
Lib "wml2bib.dll" Alias "mdd8_get_device_status" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_get_device_status _
Lib "mlxw32.dll" Alias "mdd8_get_device_status" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_get_device_status _
Lib "wml6bib.dll" Alias "mdd8_get_device_status" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_get_device_status _
Lib "mlxw32.dll" Alias "mdd8_get_device_status" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_get_device_status _
Lib "wml7bib.dll" Alias "mdd8_get_device_status" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_get_device_status _
Lib "mlxw32.dll" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_get_device_status _
Lib "wml8bib.dll" _
(ByVal usMDD As Integer, ByVal usDevice As Integer, _
ByVal usIndex As Integer, ByVal usExtIndex As Integer) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_scan_channel
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_scan_channel _
Lib "mlxw32.dll" Alias "mdd8_scan_channel" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_scan_channel _
Lib "wml2bib.dll" Alias "mdd8_scan_channel" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_scan_channel _
Lib "mlxw32.dll" Alias "mdd8_scan_channel" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_scan_channel _
Lib "wml6bib.dll" Alias "mdd8_scan_channel" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_scan_channel _
Lib "mlxw32.dll" Alias "mdd8_scan_channel" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_scan_channel _
Lib "wml7bib.dll" Alias "mdd8_scan_channel" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_scan_channel _
Lib "mlxw32.dll" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_scan_channel _
Lib "wml8bib.dll" _
(ByVal usMDD As Integer, ByVal usInfoType As Integer, _
ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pInfoData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_reset_driver
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_reset_driver _
Lib "mlxw32.dll" Alias "mdd8_reset_driver" _
(ByVal usMDD As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_reset_driver _
Lib "wml2bib.dll" Alias "mdd8_reset_driver" _
(ByVal usMDD As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_reset_driver _
Lib "mlxw32.dll" Alias "mdd8_reset_driver" _
(ByVal usMDD As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_reset_driver _
Lib "wml6bib.dll" Alias "mdd8_reset_driver" _
(ByVal usMDD As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_reset_driver _
Lib "mlxw32.dll" Alias "mdd8_reset_driver" _
(ByVal usMDD As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_reset_driver _
Lib "wml7bib.dll" Alias "mdd8_reset_driver" _
(ByVal usMDD As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_reset_driver _
Lib "mlxw32.dll" (ByVal usMDD As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_reset_driver _
Lib "wml8bib.dll" (ByVal usMDD As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_write_channel_byte
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_write_channel_byte _
Lib "mlxw32.dll" Alias "mdd8_write_channel_byte" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_write_channel_byte _
Lib "wml2bib.dll" Alias "mdd8_write_channel_byte" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_write_channel_byte _
Lib "mlxw32.dll" Alias "mdd8_write_channel_byte" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_write_channel_byte _
Lib "wml6bib.dll" Alias "mdd8_write_channel_byte" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_write_channel_byte _
Lib "mlxw32.dll" Alias "mdd8_write_channel_byte" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_write_channel_byte _
Lib "wml7bib.dll" Alias "mdd8_write_channel_byte" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_write_channel_byte _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_write_channel_byte _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal ucData As Byte)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_write_channel_word
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_write_channel_word _
Lib "mlxw32.dll" Alias "mdd8_write_channel_word" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_write_channel_word _
Lib "wml2bib.dll" Alias "mdd8_write_channel_word" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_write_channel_word _
Lib "mlxw32.dll" Alias "mdd8_write_channel_word" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_write_channel_word _
Lib "wml6bib.dll" Alias "mdd8_write_channel_word" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_write_channel_word _
Lib "mlxw32.dll" Alias "mdd8_write_channel_word" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_write_channel_word _
Lib "wml7bib.dll" Alias "mdd8_write_channel_word" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_write_channel_word _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_write_channel_word _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_write_channel_short
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_write_channel_short _
Lib "mlxw32.dll" Alias "mdd8_write_channel_short" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_write_channel_short _
Lib "wml2bib.dll" Alias "mdd8_write_channel_short" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_write_channel_short _
Lib "mlxw32.dll" Alias "mdd8_write_channel_short" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_write_channel_short _
Lib "wml6bib.dll" Alias "mdd8_write_channel_short" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_write_channel_short _
Lib "mlxw32.dll" Alias "mdd8_write_channel_short" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_write_channel_short _
Lib "wml7bib.dll" Alias "mdd8_write_channel_short" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_write_channel_short _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_write_channel_short _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal sData As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_write_channel_dword
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_write_channel_dword _
Lib "mlxw32.dll" Alias "mdd8_write_channel_dword" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_write_channel_dword _
Lib "wml2bib.dll" Alias "mdd8_write_channel_dword" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_write_channel_dword _
Lib "mlxw32.dll" Alias "mdd8_write_channel_dword" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_write_channel_dword _
Lib "wml6bib.dll" Alias "mdd8_write_channel_dword" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_write_channel_dword _
Lib "mlxw32.dll" Alias "mdd8_write_channel_dword" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_write_channel_dword _
Lib "wml7bib.dll" Alias "mdd8_write_channel_dword" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_write_channel_dword _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_write_channel_dword _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal ulData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_write_channel_block
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_write_channel_block _
Lib "mlxw32.dll" Alias "mdd8_write_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_write_channel_block _
Lib "wml2bib.dll" Alias "mdd8_write_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_write_channel_block _
Lib "mlxw32.dll" Alias "mdd8_write_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_write_channel_block _
Lib "wml6bib.dll" Alias "mdd8_write_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_write_channel_block _
Lib "mlxw32.dll" Alias "mdd8_write_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_write_channel_block _
Lib "wml7bib.dll" Alias "mdd8_write_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_write_channel_block _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_write_channel_block _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_trigger_channel
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_trigger_channel _
Lib "mlxw32.dll" Alias "mdd8_trigger_channel" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_trigger_channel _
Lib "wml2bib.dll" Alias "mdd8_trigger_channel" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_trigger_channel _
Lib "mlxw32.dll" Alias "mdd8_trigger_channel" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_trigger_channel _
Lib "wml6bib.dll" Alias "mdd8_trigger_channel" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_trigger_channel _
Lib "mlxw32.dll" Alias "mdd8_trigger_channel" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_trigger_channel _
Lib "wml7bib.dll" Alias "mdd8_trigger_channel" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_trigger_channel _
Lib "mlxw32.dll" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_trigger_channel _
Lib "wml8bib.dll" _
(ByVal hChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_read_channel_byte
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_read_channel_byte _
Lib "mlxw32.dll" Alias "mdd8_read_channel_byte" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_read_channel_byte _
Lib "wml2bib.dll" Alias "mdd8_read_channel_byte" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_read_channel_byte _
Lib "mlxw32.dll" Alias "mdd8_read_channel_byte" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_read_channel_byte _
Lib "wml6bib.dll" Alias "mdd8_read_channel_byte" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_read_channel_byte _
Lib "mlxw32.dll" Alias "mdd8_read_channel_byte" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_read_channel_byte _
Lib "wml7bib.dll" Alias "mdd8_read_channel_byte" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_read_channel_byte _
Lib "mlxw32.dll" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_read_channel_byte _
Lib "wml8bib.dll" _
(ByVal hChannel As Long) As Byte
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_read_channel_word
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_read_channel_word _
Lib "mlxw32.dll" Alias "mdd8_read_channel_word" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_read_channel_word _
Lib "wml2bib.dll" Alias "mdd8_read_channel_word" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_read_channel_word _
Lib "mlxw32.dll" Alias "mdd8_read_channel_word" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_read_channel_word _
Lib "wml6bib.dll" Alias "mdd8_read_channel_word" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_read_channel_word _
Lib "mlxw32.dll" Alias "mdd8_read_channel_word" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_read_channel_word _
Lib "wml7bib.dll" Alias "mdd8_read_channel_word" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_read_channel_word _
Lib "mlxw32.dll" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_read_channel_word _
Lib "wml8bib.dll" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_read_channel_short
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_read_channel_short _
Lib "mlxw32.dll" Alias "mdd8_read_channel_short" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_read_channel_short _
Lib "wml2bib.dll" Alias "mdd8_read_channel_short" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_read_channel_short _
Lib "mlxw32.dll" Alias "mdd8_read_channel_short" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_read_channel_short _
Lib "wml6bib.dll" Alias "mdd8_read_channel_short" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_read_channel_short _
Lib "mlxw32.dll" Alias "mdd8_read_channel_short" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_read_channel_short _
Lib "wml7bib.dll" Alias "mdd8_read_channel_short" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_read_channel_short _
Lib "mlxw32.dll" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_read_channel_short _
Lib "wml8bib.dll" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_read_channel_dword
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_read_channel_dword _
Lib "mlxw32.dll" Alias "mdd8_read_channel_dword" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_read_channel_dword _
Lib "wml2bib.dll" Alias "mdd8_read_channel_dword" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_read_channel_dword _
Lib "mlxw32.dll" Alias "mdd8_read_channel_dword" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_read_channel_dword _
Lib "wml6bib.dll" Alias "mdd8_read_channel_dword" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_read_channel_dword _
Lib "mlxw32.dll" Alias "mdd8_read_channel_dword" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_read_channel_dword _
Lib "wml7bib.dll" Alias "mdd8_read_channel_dword" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_read_channel_dword _
Lib "mlxw32.dll" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_read_channel_dword _
Lib "wml8bib.dll" _
(ByVal hChannel As Long) As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_read_channel_block
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_read_channel_block _
Lib "mlxw32.dll" Alias "mdd8_read_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_read_channel_block _
Lib "wml2bib.dll" Alias "mdd8_read_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_read_channel_block _
Lib "mlxw32.dll" Alias "mdd8_read_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_read_channel_block _
Lib "wml6bib.dll" Alias "mdd8_read_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_read_channel_block _
Lib "mlxw32.dll" Alias "mdd8_read_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_read_channel_block _
Lib "wml7bib.dll" Alias "mdd8_read_channel_block" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_read_channel_block _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_read_channel_block _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usCount As Integer, _
ByRef pData As Any) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_send_channel_command
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_send_channel_command _
Lib "mlxw32.dll" Alias "mdd8_send_channel_command" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_send_channel_command _
Lib "wml2bib.dll" Alias "mdd8_send_channel_command" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_send_channel_command _
Lib "mlxw32.dll" Alias "mdd8_send_channel_command" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_send_channel_command _
Lib "wml6bib.dll" Alias "mdd8_send_channel_command" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_send_channel_command _
Lib "mlxw32.dll" Alias "mdd8_send_channel_command" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_send_channel_command _
Lib "wml7bib.dll" Alias "mdd8_send_channel_command" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_send_channel_command _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_send_channel_command _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usCmd As Integer)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_send_channel_control
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_send_channel_control _
Lib "mlxw32.dll" Alias "mdd8_send_channel_control" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_send_channel_control _
Lib "wml2bib.dll" Alias "mdd8_send_channel_control" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_send_channel_control _
Lib "mlxw32.dll" Alias "mdd8_send_channel_control" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_send_channel_control _
Lib "wml6bib.dll" Alias "mdd8_send_channel_control" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_send_channel_control _
Lib "mlxw32.dll" Alias "mdd8_send_channel_control" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_send_channel_control _
Lib "wml7bib.dll" Alias "mdd8_send_channel_control" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_send_channel_control _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_send_channel_control _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal ulCtrlData As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_send_channel_control_block
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_send_channel_control_block _
Lib "mlxw32.dll" _
Alias "mdd8_send_channel_control_block" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_send_channel_control_block _
Lib "wml2bib.dll" _
Alias "mdd8_send_channel_control_block" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_send_channel_control_block _
Lib "mlxw32.dll" _
Alias "mdd8_send_channel_control_block" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_send_channel_control_block _
Lib "wml6bib.dll" _
Alias "mdd8_send_channel_control_block" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_send_channel_control_block _
Lib "mlxw32.dll" _
Alias "mdd8_send_channel_control_block" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_send_channel_control_block _
Lib "wml7bib.dll" _
Alias "mdd8_send_channel_control_block" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_send_channel_control_block _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_send_channel_control_block _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usCtrl As Integer, _
ByVal usSize As Integer, ByRef pCtrlData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_get_channel_info
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_get_channel_info _
Lib "mlxw32.dll" Alias "mdd8_get_channel_info" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_get_channel_info _
Lib "wml2bib.dll" Alias "mdd8_get_channel_info" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_get_channel_info _
Lib "mlxw32.dll" Alias "mdd8_get_channel_info" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_get_channel_info _
Lib "wml6bib.dll" Alias "mdd8_get_channel_info" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_get_channel_info _
Lib "mlxw32.dll" Alias "mdd8_get_channel_info" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_get_channel_info _
Lib "wml7bib.dll" Alias "mdd8_get_channel_info" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_get_channel_info _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_get_channel_info _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usInfo As Integer) _
As Long
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_get_channel_info_block
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_get_channel_info_block _
Lib "mlxw32.dll" Alias "mdd8_get_channel_info_block" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_get_channel_info_block _
Lib "wml2bib.dll" Alias "mdd8_get_channel_info_block" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_get_channel_info_block _
Lib "mlxw32.dll" Alias "mdd8_get_channel_info_block" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_get_channel_info_block _
Lib "wml6bib.dll" Alias "mdd8_get_channel_info_block" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_get_channel_info_block _
Lib "mlxw32.dll" Alias "mdd8_get_channel_info_block" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_get_channel_info_block _
Lib "wml7bib.dll" Alias "mdd8_get_channel_info_block" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_get_channel_info_block _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_get_channel_info_block _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usInfo As Integer, _
ByVal usSize As Integer, ByRef pInfoData As Any) _
As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_set_channel_caption
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_set_channel_caption _
Lib "mlxw32.dll" Alias "mdd8_set_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_set_channel_caption _
Lib "wml2bib.dll" Alias "mdd8_set_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_set_channel_caption _
Lib "mlxw32.dll" Alias "mdd8_set_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_set_channel_caption _
Lib "wml6bib.dll" Alias "mdd8_set_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_set_channel_caption _
Lib "mlxw32.dll" Alias "mdd8_set_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_set_channel_caption _
Lib "wml7bib.dll" Alias "mdd8_set_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_set_channel_caption _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_set_channel_caption _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_get_channel_caption
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_get_channel_caption _
Lib "mlxw32.dll" Alias "mdd8_get_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_get_channel_caption _
Lib "wml2bib.dll" Alias "mdd8_get_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_get_channel_caption _
Lib "mlxw32.dll" Alias "mdd8_get_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_get_channel_caption _
Lib "wml6bib.dll" Alias "mdd8_get_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_get_channel_caption _
Lib "mlxw32.dll" Alias "mdd8_get_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_get_channel_caption _
Lib "wml7bib.dll" Alias "mdd8_get_channel_caption" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_get_channel_caption _
Lib "mlxw32.dll" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_get_channel_caption _
Lib "wml8bib.dll" _
(ByVal hChannel As Long, ByVal usLen As Integer, _
ByVal pcCaption As String)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_close_channel
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Sub mdd2_close_channel _
Lib "mlxw32.dll" Alias "mdd8_close_channel" _
(ByRef phChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd2_close_channel _
Lib "wml2bib.dll" Alias "mdd8_close_channel" _
(ByRef phChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Sub mdd6_close_channel _
Lib "mlxw32.dll" Alias "mdd8_close_channel" _
(ByRef phChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd6_close_channel _
Lib "wml6bib.dll" Alias "mdd8_close_channel" _
(ByRef phChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Sub mdd7_close_channel _
Lib "mlxw32.dll" Alias "mdd8_close_channel" _
(ByRef phChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd7_close_channel _
Lib "wml7bib.dll" Alias "mdd8_close_channel" _
(ByRef phChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Sub mdd8_close_channel _
Lib "mlxw32.dll" (ByRef phChannel As Long)
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Sub mdd8_close_channel _
Lib "wml8bib.dll" (ByRef phChannel As Long)
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_check_handle_valid
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_check_handle_valid _
Lib "mlxw32.dll" Alias "mdd8_check_handle_valid" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_check_handle_valid _
Lib "wml2bib.dll" Alias "mdd8_check_handle_valid" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_check_handle_valid _
Lib "mlxw32.dll" Alias "mdd8_check_handle_valid" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_check_handle_valid _
Lib "wml6bib.dll" Alias "mdd8_check_handle_valid" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_check_handle_valid _
Lib "mlxw32.dll" Alias "mdd8_check_handle_valid" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_check_handle_valid _
Lib "wml7bib.dll" Alias "mdd8_check_handle_valid" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_check_handle_valid _
Lib "mlxw32.dll" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_check_handle_valid _
Lib "wml8bib.dll" _
(ByVal hChannel As Long) As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8

'*************************************************
'   mddX_get_diagnosis
'*************************************************

#If BOARD = 2 Then
#If PLATFORM = 32 Then
Declare Function mdd2_get_diagnosis _
Lib "mlxw32.dll" Alias "mdd8_get_diagnosis" _
() As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd2_get_diagnosis _
Lib "wml2bib.dll" Alias "mdd8_get_diagnosis" _
() As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 2

#If BOARD = 6 Then
#If PLATFORM = 32 Then
Declare Function mdd6_get_diagnosis _
Lib "mlxw32.dll" Alias "mdd8_get_diagnosis" _
() As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd6_get_diagnosis _
Lib "wml6bib.dll" Alias "mdd8_get_diagnosis" _
() As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 6

#If BOARD = 7 Then
#If PLATFORM = 32 Then
Declare Function mdd7_get_diagnosis _
Lib "mlxw32.dll" Alias "mdd8_get_diagnosis" _
() As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd7_get_diagnosis _
Lib "wml7bib.dll" Alias "mdd8_get_diagnosis" _
() As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 7

#If BOARD = 8 Then
#If PLATFORM = 32 Then
Declare Function mdd8_get_diagnosis _
Lib "mlxw32.dll" () As Integer
#End If ' PLATFORM = 32
#If PLATFORM = 16 Then
Declare Function mdd8_get_diagnosis _
Lib "wml8bib.dll" () As Integer
#End If ' PLATFORM = 16
#End If ' BOARD = 8



